/***************************************************************************
                          main.m  -  description
                             -------------------
    begin                : Fri Mar 17 15:04:11 EST 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <Foundation/NSString.h>

#include <qtobjc/QApplication.h>
#include <qtobjc/QFont.h>

#include "TryQtProj.h"

int main(int argc, char *argv[])
{
	TryQtProj * tryqtproj;
	
	QApplication * a = [[QApplication alloc] initWithArgc: argc argv: argv];
	[QApplication setFont: [[QFont alloc] initWithFamily: @"helvetica" pointSize: 12]];
	/* uncomment the following line, if you want a Windows 95 look*/
	  [QApplication setStyle: WindowsStyle];
	
	tryqtproj = [[TryQtProj alloc] init];
	[a setMainWidget: tryqtproj];
	
	[tryqtproj setCaption: @"Document 1"];
	[tryqtproj show];
	
	return [a exec];
}
