/***************************************************************************
                          QBitmap.m  -  description
                             -------------------
    begin                : Wed Mar 8 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QBitmap.h>
#include <qtc/qtc.h>

@implementation QBitmap

- init
{
	[self setQt: qt_new_QBitmap()];	
	return self;
}


- init: (int) w : (int) h clear: (BOOL) yn
{
	[self setQt: qt_new_QBitmap1(w, h, yn)];	
	return self;
}


- init: (QSize *) size clear: (BOOL) yn
{
	[self setQt: qt_new_QBitmap2([size qt], yn)];	
	return self;
}


- init: (int) w : (int) h bits: (void *) data isXbitmap: (BOOL) yn
{
	[self setQt: qt_new_QBitmap3(w, h, data, yn)];	
	return self;
}


- init: (QSize *) size bits: (void *) data isXbitmap: (BOOL) yn
{
	[self setQt: qt_new_QBitmap4([size qt], data, yn)];	
	return self;
}


- initFromBitmap: (QBitmap *) map
{
	[self setQt: qt_new_QBitmap5([map qt])];	
	return self;
}


- initFromFile: (NSString *) fileName format: (NSString *) format
{
	[self setQt: qt_new_QBitmap((char *) [fileName cString], (char *) [format cString])];	
	return self;
}



- xForm: (QWMatrix *) form
{
	qt_QBitmap_xForm([self qt], [form qt]);
	return self;
}


@end

