/***************************************************************************
                          QButton.h  -  description
                             -------------------
    begin                : Mon Mar 20 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QBUTTON_H
#define QBUTTON_H

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>

#include <qtobjc/QWidget.h>
#include <qtobjc/QPixmap.h>
#include <qtobjc/QPainter.h>

/**
  *@author Richard Dale
  */

@interface QButton : QWidget
- initWithParent: (QWidget *) parent name: (NSString *) name;
- (void) dealloc;

- (NSString *) text;
- setText: (NSString *) text;
- (QPixmap *) pixmap;
- setPixmap: (QPixmap *) pixmap;
- (int) accel;
- setAccel: (int) accel;
- (BOOL) isToggleButton;
- setDown: (BOOL) yn;
- (BOOL) isDown;
- (BOOL) isOn;
- (BOOL) autoResize;
- setAutoResize: (BOOL) yn;
- (BOOL) autoRepeat;
- setAutoRepeat: (BOOL) yn;
- animateClick;
- toggle;
- pressed: sender;
- released: sender;
- clicked: sender;
- toggled: sender;
@end

#endif
