/***************************************************************************
                          QClipboard.h  -  description
                             -------------------
    begin                : Thu Mar 9 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QCLIPBOARD_H
#define QCLIPBOARD_H

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>

#include <qtobjc/QObject.h>
#include <qtobjc/QPixmap.h>

/**
  *@author Richard Dale
  */

@interface QClipboard : QObject

- clear;

- (void *) data: (NSString *) format;
- setData: (void *) data forFormat: (NSString *) format;

- (NSString *) text;
- setText: (NSString *) text;
- (QPixmap *) pixmap;
- setPixmap: (QPixmap *) pixmap;

- dataChanged: sender;

- (BOOL) event: (QEvent *) event;

@end

#endif
