/***************************************************************************
                          QClipboard.m  -  description
                             -------------------
    begin                : Thu Mar 9 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QClipboard.h>
#include <qtc/qtc.h>


@implementation QClipboard

- clear
{
	qt_QClipboard_clear([self qt]);
	return self;
}

- (void *) data: (NSString *) format
{
	return (void *) qt_QClipboard_data([self qt], (char *) [format cString]);
}

- setData: (void *) data forFormat: (NSString *) format
{
	qt_QClipboard_setData([self qt], data, (char *) [format cString]);
	return self;
}

- (NSString *) text
{
	return (NSString *) [NSString stringWithCString: qt_QClipboard_text([self qt])];
}

- setText: (NSString *) text
{
	qt_QClipboard_setText([self qt], (char *) [text cString]);
	return self;
}

- (QPixmap *) pixmap
{
	return (QPixmap *) [QObject objectForQtKey: qt_QClipboard_pixmap([self qt])];
}

- setPixmap: (QPixmap *) pixmap
{
	qt_QClipboard_setPixmap([self qt], [pixmap qt]);
	return self;
}

- dataChanged: sender
{
//	qt_QClipboard_dataChanged([self qt]);
	return self;
}

- (BOOL) event: (QEvent *) event
{
//	return (BOOL) qt_QClipboard_event([self qt], [event qt]);
	return NO;
}

@end

