/***************************************************************************
                          QFileDialog.m  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QFileDialog.h>
#include <qtobjc/QObject.h>

#include <qtc/qtc.h>

@implementation QFileIconProvider
@end

@implementation QFileDialog

- initWithDirectory: (NSString *) dirName filter: (NSString *) filter parent: (QWidget *) parent name: (NSString *)name modal: (BOOL) modal
{
	[self setQt: qt_new_QFileDialog((char *) [dirName cString], (char *) [filter cString], [parent qt], (char *) [name cString], modal)];	
	return self;
}

- initWithParent: (QWidget *) parent name: (NSString *) name modal: (BOOL) modal
{
	[self setQt: qt_new_QFileDialog1([parent qt], (char *) [name cString], modal)];	
	return self;
}

- (void) dealloc
{
	qt_del_QFileDialog([self qt]);	
	[super dealloc];	
	return;
}

+ (NSString *) getOpenFileName: (NSString *) initially filter: (NSString *) filter parent: (QWidget *) parent
{
	return [self getOpenFileName: initially filter: filter parent: parent name: @""];
}

+ (NSString *) getOpenFileName: (NSString *) initially filter: (NSString *) filter parent: (QWidget *) parent name: (NSString *) name
{
	return (NSString *) [NSString stringWithCString: qt_QString_data(qt_QFileDialog_getOpenFileName((char *) [initially cString], (char *) [filter cString], [parent qt], (char *)[name cString]))];
}


+ (NSString *) getSaveFileName: (NSString *) initially filter: (NSString *) filter parent: (QWidget *) parent
{
	return (NSString *) [NSString stringWithCString: qt_QString_data(qt_QFileDialog_getSaveFileName((char *) [initially cString], (char *) [filter cString], [parent qt], 0))];
}

+ (NSString *) getSaveFileName: (NSString *) initially filter: (NSString *) filter parent: (QWidget *) parent name: (NSString *) name
{
	return (NSString *) [NSString stringWithCString: qt_QString_data(qt_QFileDialog_getSaveFileName((char *) [initially cString], (char *) [filter cString], [parent qt], (char *)[name cString]))];
}


+ (NSString *) getExistingDirectory: (NSString *) dir parent: (QWidget *) parent name: (NSString *) name
{
//	return (NSString *) [NSString stringWithCString: qt_QFileDialog_getExistingDirectory((char *) [dir cString], [parent qt], (char *) [name cString])];
	return nil;
}


+ (NSArray *) getOpenFileNames: (NSString *) filter directory: (NSString *) dir parent: (QWidget *) parent name: (NSString *) name
{
//	return (NSArray) qt_QFileDialog_getOpenFileNames((char *) [filter cString], [parent qt], (char *)[name cString])];
	return nil;
}


+ setIconProvider: (QFileIconProvider *) QFileIconProvider
{
//	qt_QFileDialog_setIconProvider([QFileIconProvider qt]);
	return self;
}


+ (QFileIconProvider *) iconProvider
{
//	return (QFileIconProvider *) [QObject objectForQtKey: qt_QFileDialog_iconProvider([self qt])];
	return nil;
}


- (NSString *) selectedFile
{
	return (NSString *) [NSString stringWithCString: qt_QString_data(qt_QFileDialog_selectedFile([self qt]))];
}


- setSelection: (NSString *) selection
{
//	qt_QFileDialog_setSelection([self qt], (char *) [selection cString]);
	return self;
}


- (NSString *) dirPath
{
	return (NSString *) [NSString stringWithCString: qt_QFileDialog_dirPath([self qt])];
}


- setDir: (NSString *) dir
{
//	qt_QFileDialog_setDir([self qt], qt_new_QDir((char *) [dir cString]));
	return self;
}


- (NSString *) dir
{
//	return (NSString *) [NSString stringWithCString:  qt_QDir_path(qt_QFileDialog_dir([self qt]))];
	return nil;
}


- rereadDir
{
	qt_QFileDialog_rereadDir([self qt]);
	return self;
}


- setMode: (Mode) mode
{
//	qt_QFileDialog_setMode([self qt], mode);
	return self;
}


- (Mode) mode
{
//	return (Mode) qt_QFileDialog_mode([self qt]);
	return 0;
}


- (BOOL) eventFilter: (QObject *) receiver event: (QEvent *) event
{
//	return (BOOL) qt_QFileDialog_eventFilter([self qt], [receiver qt], [event qt]);
	return NO;
}

@end

