/***************************************************************************
                          QFontInfo.h  -  description
                             -------------------
    begin                : Wed Mar 8 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QFONTINFO_H
#define QFONTINFO_H

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>

#include <qtobjc/QFont.h>

/**
  *@author Richard Dale
  */

@interface QFontInfo : NSObject  <QtSupport>
- init: (QFont *) font;
- initFromFontInfo: (QFontInfo *) fontInfo;
- (void) dealloc;

- (NSString *) family;
- (int) pointSize;
- (BOOL) italic;
- (int) weight;
- (BOOL) bold;
- (BOOL) underline;
- (BOOL) strikeOut;
- (BOOL) fixedPitch;
- (int)	styleHint;
- (int) charSet;
- (BOOL) rawMode;
- (BOOL) exactMatch;
@end

#endif
