/***************************************************************************
                          QMenuBar.h  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QMENUBAR_H
#define QMENUBAR_H

#include <Foundation/NSObject.h>
#include <qtobjc/QFrame.h>
#include <qtobjc/QMenuData.h>
#include <qtobjc/QPopupMenu.h>

#define Separator			int
#define Never			0
#define InWindowsStyle	1

/**
  *@author Richard Dale
  */

@interface QMenuBar : QFrame

- initWithParent: (QWidget *) parent;
- initWithParent: (QWidget *) parent name: (NSString *) name;
- (void) dealloc;

- updateItem: (int) identifier;
- show;				
- hide;				
- (BOOL) eventFilter: (QObject *) receiver event: (QEvent *) event;
- (int) heightForWidth: (int) width;
- (Separator) separator;
- setSeparator: (Separator) when;

@end

@interface QMenuBar (QMenuDataImplementation) <QMenuDataInterface>
@end

#endif
