/***************************************************************************
                          QPaintDevice.m  -  description
                             -------------------
    begin                : Fri Mar 3 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <Foundation/NSString.h>

#include <qtobjc/QPaintDevice.h>
#include <qtc/qtc.h>

/*
void bitBlt( QPaintDevice *dst, int dx, int dy,
const QPaintDevice *src, int sx=0, int sy=0, int sw=-1, int sh=-1,
RasterOp = CopyROP, bool ignoreMask=FALSE );


void bitBlt( QPaintDevice *dst, int dx, int dy,
const QImage *src, int sx=0, int sy=0, int sw=-1, int sh=-1,
int conversion_flags=0 );
*/
@implementation QPaintDevice

- (void *) qt
{
	return _qt;
}

- setQt: (void *) qt
{
	_qt = qt;
	return self;
}

- initFromDevFlags: (uint) flags
{
	[super init];
//	qt_new_QPaintDevice1(flags);
	return self;
}

- (void) dealloc
{
//	(void) qt_del_QPaintDevice([self qt]);
	[super dealloc];
	return;
}


- (int) devType
{
	return (int) qt_QPaintDevice_devType([self qt]);
}


- (BOOL) isExtDev
{
	return (BOOL) qt_QPaintDevice_isExtDev([self qt]);
}


- (BOOL) paintingActive
{
	return (BOOL) qt_QPaintDevice_paintingActive([self qt]);
}


- (HANDLE) handle
{
	return (HANDLE) qt_QPaintDevice_handle([self qt]);
}

- (void *) paintDevice
{
	return [self qt];
}

+ bitBlt: (QPaintDevice *) dst dx: (int) dx dy: (int) dy source: (QPaintDevice *) src
{
	qt_QPaintDevice_bitBlt([dst paintDevice], dx, dy, [src paintDevice]);
	
	return self;
}


+ bitBlt: (QPaintDevice *) dst dx: (int) dx dy: (int) dy source: (QPaintDevice *) src sx: (int) sx sy: (int) sy sw: (int) sw sh: (int) sh rasterOp: (RasterOp) rop ignoreMask: (BOOL) ignoreMask;
{
	return self;
}

+ bitBlt: (QPaintDevice *) dst dp: (QPoint *) dp source: (QPaintDevice *) src sr: (QRect *) sr rasterOp: (RasterOp) rop
{
	return self;
}

@end
