/***************************************************************************
                          QPen.h  -  description
                             -------------------
    begin                : Sat Mar 11 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QPEN_H
#define QPEN_H

#include <Foundation/NSObject.h>

#include <qtobjc/QColor.h>
#include <qtobjc/QObject.h>

/**
  *@author Richard Dale
  */

@interface QPen : NSObject <QtSupport>
- init;
- initFromPenStyle: (int) style;
- initFromColor: (QColor *) color width: (uint) width penStyle: (int) style;
- initFromPen: (QPen *) pen;
- (void) dealloc;

- setStyle: (int) penStyle;
- setWidth: (uint) width;
- setColor: (QColor *) color;
@end

#endif
