/***************************************************************************
                          QPoint.m  -  description
                             -------------------
    begin                : Sat Mar 11 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QPoint.h>
#include <qtc/qtc.h>

@implementation QPoint

- (void *) qt
{
	return _qt;
}

- setQt: (void *) qt
{
	_qt = qt;
	return self;
}

- init
{
	[self setQt: qt_new_QPoint()];	
	return self;
}


- init: (int) xpos : (int) ypos
{
	[self setQt: qt_new_QPoint1(xpos, ypos)];	
	return self;
}


- (BOOL) isNull
{
	return (BOOL) qt_QPoint_isNull([self qt]);
}


- (int) x
{
	return (int) qt_QPoint_x([self qt]);
}


- (int) y
{
	return (int) qt_QPoint_y([self qt]);
}


- setX: (int) x
{
	qt_QPoint_setX([self qt], x);
	return self;
}


- setY: (int) y
{
	qt_QPoint_setY([self qt], y);
	return self;
}

@end

