/***************************************************************************
                          QPopupMenu.h  -  description
                             -------------------
    begin                : Tue Mar 14 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QPOPUPMENU_H
#define QPOPUPMENU_H

#include <Foundation/NSObject.h>
#include <qtobjc/QTableView.h>
#include <qtobjc/QMenuData.h>

/**
  *@author Richard Dale
  */

@interface QPopupMenu : QTableView

- initWithParent: (QWidget *) parent name: (NSString *) name;
- (void) dealloc;

- popup: (QPoint *) pos index: (int) indexAtPoint;
- updateItem: (int) identifier;
- setCheckable: (BOOL) yn;
- (BOOL) isCheckable;
- setFont: (QFont *) font;	
- show;				
- hide;				
- (int) exec;
- (int) exec: (QPoint *) point;
- setActiveItem: (int) item;

@end

@interface QPopupMenu (QMenuDataImplementation) <QMenuDataInterface>
@end

#endif
