/***************************************************************************
                          QProgressBar.h  -  description
                             -------------------
    begin                : Fri Apr 14 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QPROGRESSBAR_H
#define QPROGRESSBAR_H

#include <Foundation/NSObject.h>
#include <qtobjc/QFrame.h>

/**
  *@author Richard Dale
  */

@interface QProgressBar : QFrame
- initWithParent: (QWidget *) parent name: (NSString *) name flags: (WFlags) f;
- initWithSteps: (int) totalSteps parent: (QWidget *) parent name: (NSString *) name flags: (WFlags) f;
- (int) totalSteps;
- (int) progress;
- (QSize *) sizeHint;
- show;
- reset;
- setTotalSteps: (int) totalSteps;
- setProgress: (int) progress;
@end

#endif
