/***************************************************************************
                          QSize.h  -  description
                             -------------------
    begin                : Wed Mar 8 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QSIZE_H
#define QSIZE_H

#include <Foundation/NSObject.h>

#include <qtobjc/qwindowdefs.h>
#include <qtobjc/QtSupport.h>

/**
  *@author Richard Dale
  */

@interface QSize : NSObject <QtSupport>
{
@private
	void *	_qt;
}

- init;
- init: (int) w : (int) h;
- (void) dealloc;

- (BOOL) isNull;
- (BOOL) isEmpty;
- (BOOL) isValid;
- (int) width;
- (int) height;
- setWidth: (int) w;
- setHeight: (int) h;

- transpose;
- expandedTo: (QSize *) size;
- boundedTo: (QSize *) size;
- (QCOORD *) rwidth;
- (QCOORD *) rheight;
+  warningDivByZero;

@end

#endif
