/***************************************************************************
                          QSize.m  -  description
                             -------------------
    begin                : Wed Mar 8 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <Foundation/NSDictionary.h>

#include <qtobjc/QObject.h>
#include <qtobjc/QSize.h>

#include <qtc/qtc.h>

@implementation QSize

- (void *) qt
{
	return _qt;
}

- setQt: (void *) qt
{
	_qt = qt;
	return self;
}

- init
{
	[super init];
	return self;
}

- init: (int) w : (int) h
{
	[super init];
	[self setQt: (void *) qt_new_QSize1(w, h)];
	[QObject setObject: self forQtKey: [self qt]];
	return self;
}

- (void) dealloc
{
	[QObject removeQtKey: [self qt]];
	qt_del_QSize([self qt]);
	[super dealloc];
	return;
}

- (BOOL) isNull
{
	return (BOOL) qt_QSize_isNull([self qt]);
}

- (BOOL) isEmpty
{
	return (BOOL) qt_QSize_isEmpty([self qt]);
}

- (BOOL) isValid
{
	return (BOOL) qt_QSize_isValid([self qt]);
}

- (int) width
{
	return (int) qt_QSize_width([self qt]);
}

- (int) height
{
	return (int) qt_QSize_height([self qt]);
}

- setWidth: (int) w
{
	qt_QSize_setWidth([self qt], w);
	return self;
}

- setHeight: (int) h
{
	qt_QSize_setHeight([self qt], h);
	return self;
}

- transpose
{
	qt_QSize_transpose([self qt]);
	return self;
}

- expandedTo: (QSize *) size
{
//	qt_QSize_expandedTo([self qt]);
	return self;
}

- boundedTo: (QSize *) size
{
//	qt_QSize_boundedTo([self qt]);
	return self;
}

- (QCOORD *) rwidth
{
//	return (QCOORD *) qt_QSize_rwidth([self qt]);
	return (QCOORD *) NULL;
}

- (QCOORD *) rheight
{
//	return (QCOORD *) qt_QSize_rheight([self qt]);
	return (QCOORD *) NULL;
}

+ warningDivByZero
{
//	qt_QSize_warningDivByZero([self qt]);
	return self;
}

@end

