/***************************************************************************
                          QStatusBar.m  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QStatusBar.h>
#include <qtc/qtc.h>

@implementation QStatusBar

- initWithParent: (QWidget *) parent name: (NSString *) name
{
	[self setQt: qt_new_QStatusBar([parent qt], (char *) [name cString])];
	[super init];	
	return self;
}


- (void) dealloc
{
	qt_del_QStatusBar([self qt]);	
	[super dealloc];	
	return;
}


- addWidget: (QWidget *) widget stretch: (int) stretch permanent: (BOOL) permanent
{
	qt_QStatusBar_addWidget([self qt], [widget qt], stretch, permanent);
	return self;
}


- removeWidget: (QWidget *) widget
{
	qt_QStatusBar_removeWidget([self qt], [widget qt]);
	return self;
}


- message: (NSString *) message
{
	qt_QStatusBar_message([self qt], (char *) [message cString]);
	return self;
}


- message: (NSString *) message milliSeconds: (int) ms
{
	qt_QStatusBar_message1([self qt], (char *) [message cString], ms);
	return self;
}


- clear
{
	qt_QStatusBar_clear([self qt]);
	return self;
}

@end

