/***************************************************************************
                          QToolBar.h  -  description
                             -------------------
    begin                : Fri Mar 24 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QTOOLBAR_H
#define QTOOLBAR_H

#include <Foundation/NSObject.h>
#include <qtobjc/QWidget.h>
#include <qtobjc/QMainWindow.h>

#define Orientation		int
#define Horizontal		0
#define Vertical			1

/**
  *@author Richard Dale
  */

@interface QToolBar : QWidget
- initWithLabel: (NSString *) label mainWindow: (QMainWindow *) window toolbarDock: (ToolBarDock) dock newline: (BOOL) newLine name: (NSString *) name;
- initWithLabel: (NSString *) label mainWindow: (QMainWindow *) window parent: (QWidget *) parent newline: (BOOL) newLine name: (NSString *) name flags: (WFlags) f;
- initWithParent: (QMainWindow *) parent name: (NSString *) name;
- (void) dealloc;
- addSeparator;
- setOrientation: (Orientation) orientation;
- show;
- (QMainWindow *) mainWindow;
- setStretchableWidget: (QWidget *) widget;
@end

#endif
