/***************************************************************************
                          QWhatsThis.h  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QWHATSTHIS_H
#define QWHATSTHIS_H

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>

#include <qtobjc/QWidget.h>
#include <qtobjc/QToolButton.h>

/**
  *@author Richard Dale
  */

@interface QWhatsThis : NSObject
+ add: (QWidget *) widget text: (NSString *) text;
+ add: (QWidget *) widget text: (NSString *) text deepCopy: (BOOL) deepCopy;
+ add: (QWidget *) widget icon: (QPixmap *) icon title: (NSString *) title text: (NSString *) text;
+ add: (QWidget *) widget icon: (QPixmap *) icon title: (NSString *) title text: (NSString *) text deepCopy: (BOOL) deepCopy;
+ remove: (QWidget *) widget;
+ (NSString *) textFor: (QWidget *) widget;
+ (QToolButton *) whatsThisButton: (QWidget *) parent;
@end

#endif
