/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QBUTTON
#define QT_QBUTTON
#include <qbutton.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QButton *qt_new_QButton(qt_QWidget * parent,char* name);

char* qt_QButton_text( qt_QButton *instPointer);
void qt_QButton_setText( qt_QButton *instPointer,char* arg1);
qt_QPixmap * qt_QButton_pixmap( qt_QButton *instPointer);
void qt_QButton_setPixmap( qt_QButton *instPointer,qt_QPixmap * arg1);
int qt_QButton_accel( qt_QButton *instPointer);
void qt_QButton_setAccel( qt_QButton *instPointer,int arg1);
int qt_QButton_isToggleButton( qt_QButton *instPointer);
int qt_QButton_isDown( qt_QButton *instPointer);
int qt_QButton_isOn( qt_QButton *instPointer);
int qt_QButton_autoResize( qt_QButton *instPointer);
void qt_QButton_setAutoResize( qt_QButton *instPointer,int arg1);
int qt_QButton_autoRepeat( qt_QButton *instPointer);
void qt_QButton_setAutoRepeat( qt_QButton *instPointer,int arg1);
void qt_QButton_animateClick( qt_QButton *instPointer);

}
#endif