/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QCOMBOBOX
#define QT_QCOMBOBOX
#include <qcombo.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QComboBox *qt_new_QComboBox(qt_QWidget * parent,char* name);
qt_QComboBox *qt_new_QComboBox1(int arg1,qt_QWidget * parent,char* name);

int qt_QComboBox_count( qt_QComboBox *instPointer);
void qt_QComboBox_insertStrList( qt_QComboBox *instPointer,qt_QStrList * arg1,int index);
void qt_QComboBox_insertStrList1( qt_QComboBox *instPointer,char** arg1,int numStrings,int index);
void qt_QComboBox_insertItem( qt_QComboBox *instPointer,char* text,int index);
void qt_QComboBox_insertItem1( qt_QComboBox *instPointer,qt_QPixmap * pixmap,int index);
void qt_QComboBox_removeItem( qt_QComboBox *instPointer,int index);
void qt_QComboBox_clear( qt_QComboBox *instPointer);
char* qt_QComboBox_currentText( qt_QComboBox *instPointer);
char* qt_QComboBox_text( qt_QComboBox *instPointer,int index);
qt_QPixmap * qt_QComboBox_pixmap( qt_QComboBox *instPointer,int index);
void qt_QComboBox_changeItem( qt_QComboBox *instPointer,char* text,int index);
void qt_QComboBox_changeItem1( qt_QComboBox *instPointer,qt_QPixmap * pixmap,int index);
int qt_QComboBox_currentItem( qt_QComboBox *instPointer);
void qt_QComboBox_setCurrentItem( qt_QComboBox *instPointer,int index);
int qt_QComboBox_autoResize( qt_QComboBox *instPointer);
void qt_QComboBox_setAutoResize( qt_QComboBox *instPointer,int arg1);
qt_QSize * qt_QComboBox_sizeHint( qt_QComboBox *instPointer);
void qt_QComboBox_setBackgroundColor( qt_QComboBox *instPointer,qt_QColor * arg1);
void qt_QComboBox_setPalette( qt_QComboBox *instPointer,qt_QPalette * arg1);
void qt_QComboBox_setFont( qt_QComboBox *instPointer,qt_QFont * arg1);
void qt_QComboBox_setEnabled( qt_QComboBox *instPointer,int arg1);
void qt_QComboBox_setSizeLimit( qt_QComboBox *instPointer,int arg1);
int qt_QComboBox_sizeLimit( qt_QComboBox *instPointer);
void qt_QComboBox_setMaxCount( qt_QComboBox *instPointer,int arg1);
int qt_QComboBox_maxCount( qt_QComboBox *instPointer);


enum { NoInsertion, AtTop, AtCurrent, AtBottom, AfterCurrent, BeforeCurrent };

void qt_QComboBox_setInsertionPolicy( qt_QComboBox *instPointer,int policy);
int qt_QComboBox_insertionPolicy( qt_QComboBox *instPointer);
void qt_QComboBox_setStyle( qt_QComboBox *instPointer,int arg1);
void qt_QComboBox_setValidator( qt_QComboBox *instPointer,qt_QValidator * arg1);
qt_QValidator * qt_QComboBox_validator( qt_QComboBox *instPointer);
void qt_QComboBox_clearValidator( qt_QComboBox *instPointer);

}
#endif