/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QDATASTREAM
#define QT_QDATASTREAM
#include <qdstream.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QDataStream *qt_new_QDataStream();
qt_QDataStream *qt_new_QDataStream1(qt_QIODevice * arg1);


/**************************************/
/*This function didn't wrap*/
/*void *qt_new_QDataStream2(XXX arg1,int mode);*/
/**/


qt_QIODevice * qt_QDataStream_device( qt_QDataStream *instPointer);
void qt_QDataStream_setDevice( qt_QDataStream *instPointer,qt_QIODevice * arg1);
void qt_QDataStream_unsetDevice( qt_QDataStream *instPointer);
int qt_QDataStream_eof( qt_QDataStream *instPointer);


enum { BigEndian, LittleEndian };

int qt_QDataStream_byteOrder( qt_QDataStream *instPointer);
void qt_QDataStream_setByteOrder( qt_QDataStream *instPointer,int arg1);
int qt_QDataStream_isPrintableData( qt_QDataStream *instPointer);
void qt_QDataStream_setPrintableData( qt_QDataStream *instPointer,int arg1);
void qt_QDataStream_readBytes( qt_QDataStream *instPointer,char* arg1,unsigned int len);
void qt_QDataStream_readRawBytes( qt_QDataStream *instPointer,char* arg1,unsigned int len);
void qt_QDataStream_writeBytes( qt_QDataStream *instPointer,char* arg1,unsigned int len);
void qt_QDataStream_writeRawBytes( qt_QDataStream *instPointer,char* arg1,unsigned int len);

}
#endif