/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QFileDialog.h"

qt_QFileDialog *qt_new_QFileDialog(char* dirName,char* filter,qt_QWidget * parent,char* name,int modal)

{
	return (qt_QFileDialog *) new QFileDialog( (char*)dirName,(char*)filter,(QWidget*)parent,(char*)name,(bool)modal );
}

qt_QFileDialog *qt_new_QFileDialog1(qt_QWidget * parent,char* name,int modal)

{
	return (qt_QFileDialog *) new QFileDialog( (QWidget*)parent,(char*)name,(bool)modal );
}

void qt_del_QFileDialog (qt_QFileDialog *p)
{
delete (QFileDialog*) p;
}

qt_QString * qt_QFileDialog_selectedFile( qt_QFileDialog *instPointer){
	return (qt_QString *)new QString(((QFileDialog *)instPointer)->selectedFile());
}
char* qt_QFileDialog_dirPath( qt_QFileDialog *instPointer){
	return (char*)((QFileDialog *)instPointer)->dirPath();
}
void qt_QFileDialog_setDir( qt_QFileDialog *instPointer,char* arg1){
	((QFileDialog *)instPointer)->setDir((char* )arg1);
}
qt_QDir * qt_QFileDialog_dir( qt_QFileDialog *instPointer){
	return (qt_QDir *)((QFileDialog *)instPointer)->dir();
}
void qt_QFileDialog_setDir1( qt_QFileDialog *instPointer,qt_QDir * arg1){
	((QFileDialog *)instPointer)->setDir((QDir& )*arg1);
}
void qt_QFileDialog_rereadDir( qt_QFileDialog *instPointer){
	((QFileDialog *)instPointer)->rereadDir();
}
qt_QString * qt_QFileDialog_getOpenFileName( char* dir,char* filter,qt_QWidget * parent,char* name){
return (qt_QString *)new QString(QFileDialog::getOpenFileName( (char*)dir,(char*)filter,(QWidget*)parent,(char*)name));
}
qt_QString * qt_QFileDialog_getSaveFileName( char* dir,char* filter,qt_QWidget * parent,char* name){
	return (qt_QString *)new QString(QFileDialog::getSaveFileName( (char*)dir,(char*)filter,(QWidget*)parent,(char*)name));
}
