/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QIODEVICE
#define QT_QIODEVICE
#include <qiodev.h>
extern "C" {
#include "qt_proto_destructor.h"

int qt_QIODevice_flags( qt_QIODevice *instPointer);
int qt_QIODevice_mode( qt_QIODevice *instPointer);
int qt_QIODevice_state( qt_QIODevice *instPointer);
int qt_QIODevice_isDirectAccess( qt_QIODevice *instPointer);
int qt_QIODevice_isSequentialAccess( qt_QIODevice *instPointer);
int qt_QIODevice_isCombinedAccess( qt_QIODevice *instPointer);
int qt_QIODevice_isBuffered( qt_QIODevice *instPointer);
int qt_QIODevice_isRaw( qt_QIODevice *instPointer);
int qt_QIODevice_isSynchronous( qt_QIODevice *instPointer);
int qt_QIODevice_isAsynchronous( qt_QIODevice *instPointer);
int qt_QIODevice_isTranslated( qt_QIODevice *instPointer);
int qt_QIODevice_isReadable( qt_QIODevice *instPointer);
int qt_QIODevice_isWritable( qt_QIODevice *instPointer);
int qt_QIODevice_isReadWrite( qt_QIODevice *instPointer);
int qt_QIODevice_isInactive( qt_QIODevice *instPointer);
int qt_QIODevice_isOpen( qt_QIODevice *instPointer);
int qt_QIODevice_status( qt_QIODevice *instPointer);
void qt_QIODevice_resetStatus( qt_QIODevice *instPointer);
int qt_QIODevice_open( qt_QIODevice *instPointer,int mode);
void qt_QIODevice_close( qt_QIODevice *instPointer);
void qt_QIODevice_flush( qt_QIODevice *instPointer);
unsigned int qt_QIODevice_size( qt_QIODevice *instPointer);
int qt_QIODevice_at( qt_QIODevice *instPointer);
int qt_QIODevice_at1( qt_QIODevice *instPointer,int arg1);
int qt_QIODevice_atEnd( qt_QIODevice *instPointer);
int qt_QIODevice_reset( qt_QIODevice *instPointer);
int qt_QIODevice_readBlock( qt_QIODevice *instPointer,char* data,unsigned int len);
int qt_QIODevice_writeBlock( qt_QIODevice *instPointer,char* data,unsigned int len);
int qt_QIODevice_readLine( qt_QIODevice *instPointer,char* data,unsigned int maxlen);
int qt_QIODevice_getch( qt_QIODevice *instPointer);
int qt_QIODevice_putch( qt_QIODevice *instPointer,int arg1);
int qt_QIODevice_ungetch( qt_QIODevice *instPointer,int arg1);

}
#endif