/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QMainWindow.h"
qt_QMainWindow * qt_new_QMainWindow(qt_QWidget * parent, char *name, int f)
{
	return (qt_QMainWindow *) new QMainWindow((QWidget *) parent, name,f );
}
	
void qt_del_QMainWindow(qt_QMainWindow * instPointer)
{
	delete (QMainWindow *) instPointer;
}
	
qt_QMenuBar * qt_QMainWindow_menuBar(qt_QMainWindow * instPointer){
	return (qt_QMenuBar *) ((QMainWindow *)instPointer)->menuBar();
}
qt_QStatusBar *  qt_QMainWindow_statusBar(qt_QMainWindow * instPointer){
	return (qt_QStatusBar *) ((QMainWindow *)instPointer)->statusBar();
}
qt_QToolTipGroup * qt_QMainWindow_toolTipGroup(qt_QMainWindow * instPointer){
	return (qt_QToolTipGroup *) ((QMainWindow *)instPointer)->toolTipGroup();
}
void qt_QMainWindow_setCentralWidget(qt_QMainWindow * instPointer, qt_QWidget * widget){
	((QMainWindow *)instPointer)->setCentralWidget((QWidget *) widget);
}
qt_QWidget * qt_QMainWindow_centralWidget(qt_QMainWindow * instPointer){
	return (qt_QWidget *) ((QMainWindow *)instPointer)->centralWidget();
}
void qt_QMainWindow_setDockEnabled(qt_QMainWindow * instPointer, int dock, int enable){
	((QMainWindow *)instPointer)->setDockEnabled((QMainWindow::ToolBarDock) dock, (bool) enable);
}
int qt_QMainWindow_isDockEnabled(qt_QMainWindow * instPointer, int dock){
	return ((QMainWindow *)instPointer)->isDockEnabled((QMainWindow::ToolBarDock)dock);
}
void qt_QMainWindow_addToolBar(qt_QMainWindow * instPointer, qt_QToolBar * toolbar, char * label, int toolbarType, int newline){
	((QMainWindow *)instPointer)->addToolBar((QToolBar *) toolbar, label, (QMainWindow::ToolBarDock) toolbarType, (bool) newline);
}
void qt_QMainWindow_removeToolBar(qt_QMainWindow * instPointer, qt_QToolBar * toolbar){
	((QMainWindow *)instPointer)->removeToolBar((QToolBar *) toolbar);
}
void qt_QMainWindow_show(qt_QMainWindow * instPointer){
	((QMainWindow *)instPointer)->show();
}
int qt_QMainWindow_rightJustification(qt_QMainWindow * instPointer){
	return ((QMainWindow *)instPointer)->rightJustification();
}
int qt_QMainWindow_usesBigPixmaps(qt_QMainWindow * instPointer){
	return ((QMainWindow *)instPointer)->usesBigPixmaps();
}
void qt_QMainWindow_setRightJustification(qt_QMainWindow * instPointer, int yn){
	((QMainWindow *)instPointer)->setRightJustification(yn);
}
void qt_QMainWindow_setUsesBigPixmaps(qt_QMainWindow * instPointer, int yn){
	((QMainWindow *)instPointer)->setUsesBigPixmaps(yn);
}

