/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QMenuBar.h"

qt_QMenuBar *qt_new_QMenuBar(qt_QWidget * parent,char* name)

{
	return (qt_QMenuBar *) new QMenuBar( (QWidget*)parent,(char*)name );
}

void qt_del_QMenuBar (qt_QMenuBar *p)
{
delete (QMenuBar*) p;
}

qt_QMenuData * qt_QMenuBar_QMenuData(qt_QWidget *instPointer){
	return (qt_QMenuData *) (QMenuData *) (QMenuBar *) instPointer;
}
void qt_QMenuBar_updateItem( qt_QMenuBar *instPointer,int identifier){
	((QMenuBar *)instPointer)->updateItem((int )identifier);
}
void qt_QMenuBar_show( qt_QMenuBar *instPointer){
	((QMenuBar *)instPointer)->show();
}
void qt_QMenuBar_hide( qt_QMenuBar *instPointer){
	((QMenuBar *)instPointer)->hide();
}
int qt_QMenuBar_eventFilter( qt_QMenuBar *instPointer,qt_QObject * arg1,qt_QEvent * arg2){
	return (int)((QMenuBar *)instPointer)->eventFilter((QObject* )arg1,(QEvent* )arg2);
}
int qt_QMenuBar_heightForWidth( qt_QMenuBar *instPointer,int arg1){
	return (int)((QMenuBar *)instPointer)->heightForWidth((int )arg1);
}
int qt_QMenuBar_separator( qt_QMenuBar *instPointer){
	return (int)((QMenuBar *)instPointer)->separator();
}
void qt_QMenuBar_setSeparator( qt_QMenuBar *instPointer,int when){
	((QMenuBar *)instPointer)->setSeparator((QMenuBar::Separator )when);
}

int qt_QMenuBar_insertItem( qt_QMenuBar *instPointer,char* text,qt_QObject * receiver,char* member,int accel){
	return (int)((QMenuBar *)instPointer)->insertItem((char* )text,(QObject* )receiver,(char* )member,(int )accel);
}
int qt_QMenuBar_insertItem1( qt_QMenuBar *instPointer,qt_QPixmap * pixmap,qt_QObject * receiver,char* member,int accel){
	return (int)((QMenuBar *)instPointer)->insertItem((QPixmap& )*pixmap,(QObject* )receiver,(char* )member,(int )accel);
}
int qt_QMenuBar_insertItem2( qt_QMenuBar *instPointer,qt_QPixmap * pixmap,char* text,qt_QObject * receiver,char* member,int accel){
	return (int)((QMenuBar *)instPointer)->insertItem((QPixmap& )*pixmap,(char* )text,(QObject* )receiver,(char* )member,(int )accel);
}
int qt_QMenuBar_insertItem3( qt_QMenuBar *instPointer,char* text,int identifier,int index){
	return (int)((QMenuBar *)instPointer)->insertItem((const char*)text,(int )identifier,(int )index);
}
int qt_QMenuBar_insertItem4( qt_QMenuBar *instPointer,char* text,qt_QPopupMenu * popup,int identifier,int index){
	return (int)((QMenuBar *)instPointer)->insertItem((char* )text,(QPopupMenu* )popup,(int )identifier,(int )index);
}
int qt_QMenuBar_insertItem5( qt_QMenuBar *instPointer,qt_QPixmap * pixmap,int identifier,int index){
	return (int)((QMenuBar *)instPointer)->insertItem((QPixmap& )*pixmap,(int )identifier,(int )index);
}
int qt_QMenuBar_insertItem6( qt_QMenuBar *instPointer,qt_QPixmap * pixmap,qt_QPopupMenu * popup,int identifier,int index){
	return (int)((QMenuBar *)instPointer)->insertItem((QPixmap& )*pixmap,(QPopupMenu* )popup,(int )identifier,(int )index);
}
int qt_QMenuBar_insertItem7( qt_QMenuBar *instPointer,qt_QPixmap * pixmap,char* text,int identifier,int index){
	return (int)((QMenuBar *)instPointer)->insertItem((QPixmap& )*pixmap,(char* )text,(int )identifier,(int )index);
}
int qt_QMenuBar_insertItem8( qt_QMenuBar *instPointer,qt_QPixmap * pixmap,char* text,qt_QPopupMenu * popup,int identifier,int index){
	return (int)((QMenuBar *)instPointer)->insertItem((QPixmap& )*pixmap,(char* )text,(QPopupMenu* )popup,(int )identifier,(int )index);
}
void qt_QMenuBar_insertSeparator( qt_QMenuBar *instPointer,int index){
	((QMenuBar *)instPointer)->insertSeparator((int )index);
}
void qt_QMenuBar_setAccel( qt_QMenuBar *instPointer,int key,int identifier){
	((QMenuBar *)instPointer)->setAccel((int )key,(int )identifier);
}
