/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QMessageBox.h"

#include <qpixmap.h>

qt_QMessageBox *qt_new_QMessageBox(qt_QWidget * parent,char* name)

{
	return (qt_QMessageBox *) new QMessageBox( (QWidget*)parent,(char*)name );
}

qt_QMessageBox *qt_new_QMessageBox1(char* caption,char* text,int icon,int button0,int button1,int button2,qt_QWidget * parent,char* name,int modal,uint f)

{
    return (qt_QMessageBox *) new QMessageBox( (char*)caption,(char*)text,(QMessageBox::Icon)icon,(int)button0,(int)button1,(int)button2,(QWidget*)parent,(char*)name,(bool)modal,(WFlags)f );
}

void qt_del_QMessageBox (qt_QMessageBox *p)
{
delete (QMessageBox*) p;
}

int qt_QMessageBox_information( qt_QWidget * parent,char* caption,char* text,int button0,int button1,int button2)
{
	return (int)QMessageBox::information( (QWidget*)parent,(char*)caption,(char*)text,(int)button0,(int)button1,(int)button2);
}
int qt_QMessageBox_information1( qt_QWidget * parent,char* caption,char* text,char* button0Text,char* button1Text,char* button2Text,int defaultButtonNumber,int escapeButtonNumber)
{
	return (int)QMessageBox::information( (QWidget*)parent,(char*)caption,(char*)text,(char*)button0Text,(char*)button1Text,(char*)button2Text,(int)defaultButtonNumber,(int)escapeButtonNumber);
}
int qt_QMessageBox_warning( qt_QWidget * parent,char* caption,char* text,int button0,int button1,int button2)
{
	return (int)QMessageBox::warning( (QWidget*)parent,(char*)caption,(char*)text,(int)button0,(int)button1,(int)button2);
}
int qt_QMessageBox_warning1( qt_QWidget * parent,char* caption,char* text,char* button0Text,char* button1Text,char* button2Text,int defaultButtonNumber,int escapeButtonNumber)
{
	return (int)QMessageBox::warning( (QWidget*)parent,(char*)caption,(char*)text,(char*)button0Text,(char*)button1Text,(char*)button2Text,(int)defaultButtonNumber,(int)escapeButtonNumber);
}
int qt_QMessageBox_critical( qt_QWidget * parent,char* caption,char* text,int button0,int button1,int button2)
{
	return (int)QMessageBox::critical( (QWidget*)parent,(char*)caption,(char*)text,(int)button0,(int)button1,(int)button2);
}
int qt_QMessageBox_critical1( qt_QWidget * parent,char* caption,char* text,char* button0Text,char* button1Text,char* button2Text,int defaultButtonNumber,int escapeButtonNumber)
{
	return (int)QMessageBox::critical( (QWidget*)parent,(char*)caption,(char*)text,(char*)button0Text,(char*)button1Text,(char*)button2Text,(int)defaultButtonNumber,(int)escapeButtonNumber);
}
void qt_QMessageBox_about( qt_QWidget * parent,char* caption,char* text)
{
	QMessageBox::about( (QWidget*)parent,(char*)caption,(char*)text);
}
void qt_QMessageBox_aboutQt( qt_QWidget * parent,char* caption)
{
	QMessageBox::aboutQt( (QWidget*)parent,(char*)caption);
}
char* qt_QMessageBox_text( qt_QMessageBox *instPointer){
	return (char*)((QMessageBox *)instPointer)->text();
}
void qt_QMessageBox_setText( qt_QMessageBox *instPointer,char* arg1){
	((QMessageBox *)instPointer)->setText((char* )arg1);
}
int qt_QMessageBox_icon( qt_QMessageBox *instPointer){
	return (int)((QMessageBox *)instPointer)->icon();
}
void qt_QMessageBox_setIcon( qt_QMessageBox *instPointer,int arg1){
	((QMessageBox *)instPointer)->setIcon((QMessageBox::Icon )arg1);
}
qt_QPixmap * qt_QMessageBox_iconPixmap( qt_QMessageBox *instPointer){
	return (qt_QPixmap *)((QMessageBox *)instPointer)->iconPixmap();
}
void qt_QMessageBox_setIconPixmap( qt_QMessageBox *instPointer,qt_QPixmap * arg1){
	((QMessageBox *)instPointer)->setIconPixmap((QPixmap& )*arg1);
}
char* qt_QMessageBox_buttonText( qt_QMessageBox *instPointer,int button){
	return (char*)((QMessageBox *)instPointer)->buttonText((int )button);
}
void qt_QMessageBox_setButtonText( qt_QMessageBox *instPointer,int button,char* arg1){
	((QMessageBox *)instPointer)->setButtonText((int )button,(char* )arg1);
}
void qt_QMessageBox_adjustSize( qt_QMessageBox *instPointer){
	((QMessageBox *)instPointer)->adjustSize();
}
void qt_QMessageBox_setStyle( qt_QMessageBox *instPointer,int arg1){
	((QMessageBox *)instPointer)->setStyle((GUIStyle )arg1);
}
qt_QPixmap * qt_QMessageBox_standardIcon( int icon,int style)
{
	return (qt_QPixmap *)new QPixmap(QMessageBox::standardIcon( (QMessageBox::Icon)icon,(GUIStyle)style));
}
