/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QObject.h"

qt_QObject *qt_new_QObject(qt_QObject * parent,char* name)

{
	return (qt_QObject *) new QObject( (QObject*)parent,(char*)name );
}

void qt_del_QObject (qt_QObject *p)
{
delete (QObject*) p;
}

int qt_QObject_event( qt_QObject *instPointer,qt_QEvent * arg1){
	return (int)((QObject *)instPointer)->event((QEvent* )arg1);
}
int qt_QObject_eventFilter( qt_QObject *instPointer,qt_QObject * arg1,qt_QEvent * arg2){
	return (int)((QObject *)instPointer)->eventFilter((QObject* )arg1,(QEvent* )arg2);
}
qt_QMetaObject * qt_QObject_metaObject( qt_QObject *instPointer){
	return (qt_QMetaObject *)((QObject *)instPointer)->metaObject();
}
char* qt_QObject_className( qt_QObject *instPointer){
	return (char*)((QObject *)instPointer)->className();
}
int qt_QObject_isA( qt_QObject *instPointer,char* arg1){
	return (int)((QObject *)instPointer)->isA((char* )arg1);
}
int qt_QObject_inherits( qt_QObject *instPointer,char* arg1){
	return (int)((QObject *)instPointer)->inherits((char* )arg1);
}
char* qt_QObject_name( qt_QObject *instPointer){
	return (char*)((QObject *)instPointer)->name();
}
void qt_QObject_setName( qt_QObject *instPointer,char* name){
	((QObject *)instPointer)->setName((char* )name);
}
int qt_QObject_isWidgetType( qt_QObject *instPointer){
	return (int)((QObject *)instPointer)->isWidgetType();
}
int qt_QObject_highPriority( qt_QObject *instPointer){
	return (int)((QObject *)instPointer)->highPriority();
}
int qt_QObject_signalsBlocked( qt_QObject *instPointer){
	return (int)((QObject *)instPointer)->signalsBlocked();
}
void qt_QObject_blockSignals( qt_QObject *instPointer,int b){
	((QObject *)instPointer)->blockSignals((bool )b);
}
int qt_QObject_startTimer( qt_QObject *instPointer,int interval){
	return (int)((QObject *)instPointer)->startTimer((int )interval);
}
void qt_QObject_killTimer( qt_QObject *instPointer,int identifier){
	((QObject *)instPointer)->killTimer((int )identifier);
}
void qt_QObject_killTimers( qt_QObject *instPointer){
	((QObject *)instPointer)->killTimers();
}
qt_QObjectList * qt_QObject_children( qt_QObject *instPointer){
	return (qt_QObjectList *)((QObject *)instPointer)->children();
}
qt_QObjectList * qt_QObject_queryList( qt_QObject *instPointer,char* inheritsClass,char* objName,int regexpMatch,int recursiveSearch){
	return (qt_QObjectList *)((QObject *)instPointer)->queryList((char* )inheritsClass,(char* )objName,(bool )regexpMatch,(bool )recursiveSearch);
}
void qt_QObject_insertChild( qt_QObject *instPointer,qt_QObject * arg1){
	((QObject *)instPointer)->insertChild((QObject* )arg1);
}
void qt_QObject_removeChild( qt_QObject *instPointer,qt_QObject * arg1){
	((QObject *)instPointer)->removeChild((QObject* )arg1);
}
void qt_QObject_installEventFilter( qt_QObject *instPointer,qt_QObject * arg1){
	((QObject *)instPointer)->installEventFilter((QObject* )arg1);
}
void qt_QObject_removeEventFilter( qt_QObject *instPointer,qt_QObject * arg1){
	((QObject *)instPointer)->removeEventFilter((QObject* )arg1);
}
int qt_QObject_connect( qt_QObject * sender,char* signal,qt_QObject * receiver,char* member)
{
	return (int)QObject::connect( (QObject*)sender,(char*)signal,(QObject*)receiver,(char*)member);
}
int qt_QObject_connect1( qt_QObject *instPointer,qt_QObject * sender,char* signal,char* member){
	return (int)((QObject *)instPointer)->connect((QObject* )sender,(char* )signal,(char* )member);
}
int qt_QObject_disconnect( qt_QObject * sender,char* signal,qt_QObject * receiver,char* member)
{
	return (int)QObject::disconnect( (QObject*)sender,(char*)signal,(QObject*)receiver,(char*)member);
}
int qt_QObject_disconnect1( qt_QObject *instPointer,char* signal,qt_QObject * receiver,char* member){
	return (int)((QObject *)instPointer)->disconnect((char* )signal,(QObject* )receiver,(char* )member);
}
int qt_QObject_disconnect2( qt_QObject *instPointer,qt_QObject * receiver,char* member){
	return (int)((QObject *)instPointer)->disconnect((QObject* )receiver,(char* )member);
}
void qt_QObject_dumpObjectTree( qt_QObject *instPointer){
	((QObject *)instPointer)->dumpObjectTree();
}
void qt_QObject_dumpObjectInfo( qt_QObject *instPointer){
	((QObject *)instPointer)->dumpObjectInfo();
}
qt_QObject * qt_QObject_parent( qt_QObject *instPointer){
	return (qt_QObject *)((QObject *)instPointer)->parent();
}
