/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QPopupMenu.h"

qt_QPopupMenu *qt_new_QPopupMenu(qt_QWidget * parent,char* name)

{
	return (qt_QPopupMenu *) new QPopupMenu( (QWidget*)parent,(char*)name );
}

void qt_del_QPopupMenu (qt_QPopupMenu *p)
{
delete (QPopupMenu*) p;
}
qt_QMenuData * qt_QPopupMenu_QMenuData(qt_QPopupMenu *instPointer){
	return (qt_QMenuData *) (QMenuData *) (QPopupMenu *) instPointer;
}
void qt_QPopupMenu_popup( qt_QPopupMenu *instPointer,qt_QPoint * arg1,int indexAtPoint){
	((QPopupMenu *)instPointer)->popup((QPoint& )*arg1,(int )indexAtPoint);
}
void qt_QPopupMenu_updateItem( qt_QPopupMenu *instPointer,int identifier){
	((QPopupMenu *)instPointer)->updateItem((int )identifier);
}
void qt_QPopupMenu_setCheckable( qt_QPopupMenu *instPointer,int arg1){
	((QPopupMenu *)instPointer)->setCheckable((bool )arg1);
}
int qt_QPopupMenu_isCheckable( qt_QPopupMenu *instPointer){
	return (int)((QPopupMenu *)instPointer)->isCheckable();
}
void qt_QPopupMenu_setFont( qt_QPopupMenu *instPointer,qt_QFont * arg1){
	((QPopupMenu *)instPointer)->setFont((QFont& )*arg1);
}
void qt_QPopupMenu_show( qt_QPopupMenu *instPointer){
	((QPopupMenu *)instPointer)->show();
}
void qt_QPopupMenu_hide( qt_QPopupMenu *instPointer){
	((QPopupMenu *)instPointer)->hide();
}
int qt_QPopupMenu_exec( qt_QPopupMenu *instPointer){
	return (int)((QPopupMenu *)instPointer)->exec();
}
int qt_QPopupMenu_exec1( qt_QPopupMenu *instPointer, qt_QPoint * point){
	return (int)((QPopupMenu *)instPointer)->exec((QPoint&) *point);
}
void qt_QPopupMenu_setActiveItem( qt_QPopupMenu *instPointer,int arg1){
	((QPopupMenu *)instPointer)->setActiveItem((int )arg1);
}
int qt_QPopupMenu_insertItem( qt_QPopupMenu *instPointer,char* text,qt_QObject * receiver,char* member,int accel){
	return (int)((QPopupMenu *)instPointer)->insertItem((char* )text,(QObject* )receiver,(char* )member,(int )accel);
}
int qt_QPopupMenu_insertItem1( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,qt_QObject * receiver,char* member,int accel){
	return (int)((QPopupMenu *)instPointer)->insertItem((QPixmap& )*pixmap,(QObject* )receiver,(char* )member,(int )accel);
}
int qt_QPopupMenu_insertItem2( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,char* text,qt_QObject * receiver,char* member,int accel){
	return (int)((QPopupMenu *)instPointer)->insertItem((QPixmap& )*pixmap,(char* )text,(QObject* )receiver,(char* )member,(int )accel);
}
int qt_QPopupMenu_insertItem3( qt_QPopupMenu *instPointer,char* text,int identifier,int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((const char*)text,(int )identifier,(int )index);
}
int qt_QPopupMenu_insertItem4( qt_QPopupMenu *instPointer,char* text,qt_QPopupMenu * popup,int identifier,int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((char* )text,(QPopupMenu* )popup,(int )identifier,(int )index);
}
int qt_QPopupMenu_insertItem5( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,int identifier,int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((QPixmap& )*pixmap,(int )identifier,(int )index);
}
int qt_QPopupMenu_insertItem6( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,qt_QPopupMenu * popup,int identifier,int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((QPixmap& )*pixmap,(QPopupMenu* )popup,(int )identifier,(int )index);
}
int qt_QPopupMenu_insertItem7( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,char* text,int identifier,int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((QPixmap& )*pixmap,(char* )text,(int )identifier,(int )index);
}
int qt_QPopupMenu_insertItem8( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,char* text,qt_QPopupMenu * popup,int identifier,int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((QPixmap& )*pixmap,(char* )text,(QPopupMenu* )popup,(int )identifier,(int )index);
}
int qt_QPopupMenu_insertItem9( qt_QPopupMenu *instPointer,char* text,qt_QObject * receiver,char* member,int accel, int identifier, int index){
	return (int)((QPopupMenu *)instPointer)->insertItem((char* )text,(QObject* )receiver,(char* )member,(int )accel, identifier, index);
}
void qt_QPopupMenu_insertSeparator( qt_QPopupMenu *instPointer,int index){
	((QPopupMenu *)instPointer)->insertSeparator((int )index);
}
void qt_QPopupMenu_setAccel( qt_QPopupMenu *instPointer,int key,int identifier){
	((QPopupMenu *)instPointer)->setAccel((int )key,(int )identifier);
}
int qt_QPopupMenu_isItemEnabled( qt_QPopupMenu *instPointer,int identifier){
	return (int)((QPopupMenu *)instPointer)->isItemEnabled((int )identifier);
}
void qt_QPopupMenu_setItemEnabled( qt_QPopupMenu *instPointer,int identifier,int enable){
	((QPopupMenu *)instPointer)->setItemEnabled((int )identifier,(bool )enable);
}
int qt_QPopupMenu_isItemChecked( qt_QPopupMenu *instPointer,int identifier){
	return (int)((QPopupMenu *)instPointer)->isItemChecked((int )identifier);
}
void qt_QPopupMenu_setItemChecked( qt_QPopupMenu *instPointer,int identifier,int check){
	((QPopupMenu *)instPointer)->setItemChecked((int )identifier,(bool )check);
}
int qt_QPopupMenu_connectItem( qt_QPopupMenu *instPointer,int identifier, qt_QObject * receiver, const char * member){
	return (int) ((QPopupMenu *)instPointer)->connectItem((int )identifier,(QObject *) receiver, member);
}
int qt_QPopupMenu_disconnectItem( qt_QPopupMenu *instPointer,int identifier, qt_QObject * receiver, const char * member){
	return (int) ((QPopupMenu *)instPointer)->disconnectItem((int )identifier,(QObject *) receiver, member);
}

