/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QPOPUPMENU
#define QT_QPOPUPMENU
#include <qpopmenu.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QPopupMenu *qt_new_QPopupMenu(qt_QWidget * parent,char* name);

qt_QMenuData * qt_QPopupMenu_QMenuData(qt_QPopupMenu *instPointer);
void qt_QPopupMenu_popup( qt_QPopupMenu *instPointer,qt_QPoint * arg1,int indexAtPoint);
void qt_QPopupMenu_updateItem( qt_QPopupMenu *instPointer,int identifier);
void qt_QPopupMenu_setCheckable( qt_QPopupMenu *instPointer,int arg1);
int qt_QPopupMenu_isCheckable( qt_QPopupMenu *instPointer);
void qt_QPopupMenu_setFont( qt_QPopupMenu *instPointer,qt_QFont * arg1);
void qt_QPopupMenu_show( qt_QPopupMenu *instPointer);
void qt_QPopupMenu_hide( qt_QPopupMenu *instPointer);
int qt_QPopupMenu_exec( qt_QPopupMenu *instPointer);
int qt_QPopupMenu_exec1( qt_QPopupMenu *instPointer, qt_QPoint * point);
void qt_QPopupMenu_setActiveItem( qt_QPopupMenu *instPointer,int arg1);
int qt_QPopupMenu_insertItem( qt_QPopupMenu *instPointer,char* text,qt_QObject * receiver,char* member,int accel);
int qt_QPopupMenu_insertItem1( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,qt_QObject * receiver,char* member,int accel);
int qt_QPopupMenu_insertItem2( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,char* text,qt_QObject * receiver,char* member,int accel);
int qt_QPopupMenu_insertItem3( qt_QPopupMenu *instPointer,char* text,int identifier,int index);
int qt_QPopupMenu_insertItem4( qt_QPopupMenu *instPointer,char* text,qt_QPopupMenu * popup,int identifier,int index);
int qt_QPopupMenu_insertItem5( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,int identifier,int index);
int qt_QPopupMenu_insertItem6( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,qt_QPopupMenu * popup,int identifier,int index);
int qt_QPopupMenu_insertItem7( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,char* text,int identifier,int index);
int qt_QPopupMenu_insertItem8( qt_QPopupMenu *instPointer,qt_QPixmap * pixmap,char* text,qt_QPopupMenu * popup,int identifier,int index);
int qt_QPopupMenu_insertItem9( qt_QPopupMenu *instPointer,char* text,qt_QObject * receiver,char* member,int accel, int identifier, int index);
void qt_QPopupMenu_insertSeparator( qt_QPopupMenu *instPointer,int index);
void qt_QPopupMenu_setAccel( qt_QPopupMenu *instPointer,int key,int identifier);
int qt_QPopupMenu_isItemEnabled( qt_QPopupMenu *instPointer,int identifier);
void qt_QPopupMenu_setItemEnabled( qt_QPopupMenu *instPointer,int identifier,int enable);
int qt_QPopupMenu_isItemChecked( qt_QPopupMenu *instPointer,int identifier);
void qt_QPopupMenu_setItemChecked( qt_QPopupMenu *instPointer,int identifier,int check);
int qt_QPopupMenu_connectItem( qt_QPopupMenu *instPointer,int identifier, qt_QObject * receiver, const char * member);
int qt_QPopupMenu_disconnectItem( qt_QPopupMenu *instPointer,int identifier, qt_QObject * receiver, const char * member);

}
#endif