/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QPRINTER
#define QT_QPRINTER
#include <qprinter.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QPrinter *qt_new_QPrinter();



enum { Portrait, Landscape };



enum { A4, B5, Letter, Legal, Executive };

char* qt_QPrinter_printerName( qt_QPrinter *instPointer);
void qt_QPrinter_setPrinterName( qt_QPrinter *instPointer,char* arg1);
int qt_QPrinter_outputToFile( qt_QPrinter *instPointer);
void qt_QPrinter_setOutputToFile( qt_QPrinter *instPointer,int arg1);
char* qt_QPrinter_outputFileName( qt_QPrinter *instPointer);
void qt_QPrinter_setOutputFileName( qt_QPrinter *instPointer,char* arg1);
char* qt_QPrinter_printProgram( qt_QPrinter *instPointer);
void qt_QPrinter_setPrintProgram( qt_QPrinter *instPointer,char* arg1);
char* qt_QPrinter_docName( qt_QPrinter *instPointer);
void qt_QPrinter_setDocName( qt_QPrinter *instPointer,char* arg1);
char* qt_QPrinter_creator( qt_QPrinter *instPointer);
void qt_QPrinter_setCreator( qt_QPrinter *instPointer,char* arg1);
int qt_QPrinter_orientation( qt_QPrinter *instPointer);
void qt_QPrinter_setOrientation( qt_QPrinter *instPointer,int arg1);
int qt_QPrinter_pageSize( qt_QPrinter *instPointer);
void qt_QPrinter_setPageSize( qt_QPrinter *instPointer,int arg1);
int qt_QPrinter_fromPage( qt_QPrinter *instPointer);
int qt_QPrinter_toPage( qt_QPrinter *instPointer);
void qt_QPrinter_setFromTo( qt_QPrinter *instPointer,int fromPage,int toPage);
int qt_QPrinter_minPage( qt_QPrinter *instPointer);
int qt_QPrinter_maxPage( qt_QPrinter *instPointer);
void qt_QPrinter_setMinMax( qt_QPrinter *instPointer,int minPage,int maxPage);
int qt_QPrinter_numCopies( qt_QPrinter *instPointer);
void qt_QPrinter_setNumCopies( qt_QPrinter *instPointer,int arg1);
int qt_QPrinter_newPage( qt_QPrinter *instPointer);
int qt_QPrinter_abort( qt_QPrinter *instPointer);
int qt_QPrinter_aborted( qt_QPrinter *instPointer);
int qt_QPrinter_setup( qt_QPrinter *instPointer,qt_QWidget * parent);

}
#endif