/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QREGEXP
#define QT_QREGEXP
#include <qregexp.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QRegExp *qt_new_QRegExp();
qt_QRegExp *qt_new_QRegExp1(char* arg1,int caseSensitive,int wildcard);
qt_QRegExp *qt_new_QRegExp2(qt_QRegExp * arg1);

int qt_QRegExp_isEmpty( qt_QRegExp *instPointer);
int qt_QRegExp_isValid( qt_QRegExp *instPointer);
int qt_QRegExp_caseSensitive( qt_QRegExp *instPointer);
void qt_QRegExp_setCaseSensitive( qt_QRegExp *instPointer,int arg1);
int qt_QRegExp_wildcard( qt_QRegExp *instPointer);
void qt_QRegExp_setWildcard( qt_QRegExp *instPointer,int arg1);
char* qt_QRegExp_pattern( qt_QRegExp *instPointer);
int qt_QRegExp_match( qt_QRegExp *instPointer,char* str,int index,int len);

}
#endif