/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QSCROLLBAR
#define QT_QSCROLLBAR
#include <qscrbar.h>
extern "C" {
#include "qt_proto_destructor.h"


enum { Horizontal, Vertical };

qt_QScrollBar *qt_new_QScrollBar(qt_QWidget * parent,char* name);
qt_QScrollBar *qt_new_QScrollBar1(int arg1,qt_QWidget * parent,char* name);
qt_QScrollBar *qt_new_QScrollBar2(int minValue,int maxValue,int LineStep,int PageStep,int value,int arg1,qt_QWidget * parent,char* name);
qt_QRangeControl * qt_QScrollBar_QRangeControl(qt_QScrollBar *instPointer);
void qt_QScrollBar_setOrientation( qt_QScrollBar *instPointer,int arg1);
int qt_QScrollBar_orientation( qt_QScrollBar *instPointer);
void qt_QScrollBar_setTracking( qt_QScrollBar *instPointer,int enable);
int qt_QScrollBar_tracking( qt_QScrollBar *instPointer);
int qt_QScrollBar_draggingSlider( qt_QScrollBar *instPointer);
void qt_QScrollBar_setPalette( qt_QScrollBar *instPointer,qt_QPalette * arg1);
qt_QSize * qt_QScrollBar_sizeHint( qt_QScrollBar *instPointer);

}
#endif