/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QScrollView.h"

qt_QScrollView * qt_new_QScrollView(qt_QWidget * parent, char * name, int f)	
{
	return (qt_QScrollView *) new QScrollView( (QWidget*)parent,(char*)name, f );
}

void qt_del_QScrollView (qt_QScrollView *p)
{
delete (QScrollView*) p;
}

void qt_QScrollView_setResizePolicy(qt_QScrollView * instPointer, int policy){
	((QScrollView *)instPointer)->setResizePolicy((QScrollView::ResizePolicy )policy);
}
int qt_QScrollView_resizePolicy(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->resizePolicy();
}
void qt_QScrollView_addChild(qt_QScrollView * instPointer, qt_QWidget * child){
	((QScrollView *)instPointer)->addChild((QWidget *) child);
	return;
}
void qt_QScrollView_removeChild(qt_QScrollView * instPointer, qt_QWidget * child){
	((QScrollView *)instPointer)->removeChild((QWidget *) child);
	return;
}
void qt_QScrollView_addChild1(qt_QScrollView * instPointer, qt_QWidget * child, int x, int y){
	((QScrollView *)instPointer)->addChild((QWidget *) child, x, y);
	return;
}
void qt_QScrollView_moveChild(qt_QScrollView * instPointer, qt_QWidget * child, int x, int y){
	((QScrollView *)instPointer)->moveChild((QWidget *) child, x, y);
	return;
}
int qt_QScrollView_childX(qt_QScrollView * instPointer, qt_QWidget * child){
	return (int)((QScrollView *)instPointer)->childX((QWidget *) child);
}
int qt_QScrollView_childY(qt_QScrollView * instPointer, qt_QWidget * child){
	return (int)((QScrollView *)instPointer)->childY((QWidget *) child);
}
int qt_QScrollView_childIsVisible(qt_QScrollView * instPointer, qt_QWidget * child){
	return (int)((QScrollView *)instPointer)->childIsVisible((QWidget *) child);
}
void qt_QScrollView_showChild(qt_QScrollView * instPointer, qt_QWidget * child, int yn){
	((QScrollView *)instPointer)->showChild((QWidget *) child, yn);
	return;
}
int qt_QScrollView_vScrollBarMode(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->vScrollBarMode();
}
void qt_QScrollView_setVScrollBarMode(qt_QScrollView * instPointer, int mode){
	((QScrollView *)instPointer)->setVScrollBarMode((QScrollView::ScrollBarMode) mode);
	return;
}
int qt_QScrollView_hScrollBarMode(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->hScrollBarMode();
}
void qt_QScrollView_setHScrollBarMode(qt_QScrollView * instPointer, int mode){
	((QScrollView *)instPointer)->setHScrollBarMode((QScrollView::ScrollBarMode) mode);
	return;
}
qt_QWidget *	qt_QScrollView_cornerWidget(qt_QScrollView * instPointer){
	return (qt_QWidget *)((QScrollView *)instPointer)->cornerWidget();
}
void qt_QScrollView_setCornerWidget(qt_QScrollView * instPointer, qt_QWidget * widget){
	((QScrollView *)instPointer)->setCornerWidget((QWidget *) widget);
	return;
}
qt_QScrollBar * qt_QScrollView_horizontalScrollBar(qt_QScrollView * instPointer){
	return (qt_QScrollBar *)((QScrollView *)instPointer)->horizontalScrollBar();
}
qt_QScrollBar * qt_QScrollView_verticalScrollBar(qt_QScrollView * instPointer){
	return (qt_QScrollBar *)((QScrollView *)instPointer)->verticalScrollBar();
}
qt_QWidget *	qt_QScrollView_viewport(qt_QScrollView * instPointer){
	return (qt_QWidget *)((QScrollView *)instPointer)->viewport();
}
int qt_QScrollView_contentsWidth(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->contentsWidth();
}
int qt_QScrollView_contentsHeight(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->contentsHeight();
}
int qt_QScrollView_contentsX(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->contentsX();
}
int qt_QScrollView_contentsY(qt_QScrollView * instPointer){
	return (int)((QScrollView *)instPointer)->contentsY();
}
void qt_QScrollView_resize(qt_QScrollView * instPointer, int w, int h){
	((QScrollView *)instPointer)->resize(w, h);
	return;
}
void qt_QScrollView_resize1(qt_QScrollView * instPointer, qt_QSize * size){
	((QScrollView *)instPointer)->resize((QSize &) *size);
	return;
}
void qt_QScrollView_show(qt_QScrollView * instPointer){
	((QScrollView *)instPointer)->show();
	return;
}



