/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QSIGNAL
#define QT_QSIGNAL
#include <qsignal.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QSignal *qt_new_QSignal(qt_QObject * parent,char* name);
char* qt_QSignal_name( qt_QSignal *instPointer);
void qt_QSignal_setName( qt_QSignal *instPointer,char* name);
int qt_QSignal_connect( qt_QSignal *instPointer,qt_QObject * receiver,char* member);
int qt_QSignal_disconnect( qt_QSignal *instPointer,qt_QObject * receiver,char* member);
int qt_QSignal_isBlocked( qt_QSignal *instPointer);
void qt_QSignal_block( qt_QSignal *instPointer,int b);
void qt_QSignal_activate( qt_QSignal *instPointer);

}
#endif