/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QStatusBar.h"

qt_QStatusBar * qt_new_QStatusBar(qt_QWidget * parent, char * name){
	return (qt_QStatusBar *) new QStatusBar((QWidget *) parent, name);
}
void qt_del_QStatusBar(qt_QStatusBar * instPointer){
	delete (QStatusBar *)instPointer;	
}
void qt_QStatusBar_addWidget(qt_QStatusBar * instPointer, qt_QWidget * widget, int stretch, int permanent){
	((QStatusBar *)instPointer)->addWidget((QWidget *) widget, stretch, permanent);
}
void qt_QStatusBar_removeWidget(qt_QStatusBar * instPointer, qt_QWidget * widget){
	((QStatusBar *)instPointer)->removeWidget((QWidget *) widget);
}
void qt_QStatusBar_message(qt_QStatusBar * instPointer, char * message){
	((QStatusBar *)instPointer)->message(message);
}
void qt_QStatusBar_message1(qt_QStatusBar * instPointer, char *message, int ms){
	((QStatusBar *)instPointer)->message(message, ms);
}
void qt_QStatusBar_clear(qt_QStatusBar * instPointer){
	((QStatusBar *)instPointer)->clear();
}
