/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QTABDIALOG
#define QT_QTABDIALOG
#include <qtabdlg.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QTabDialog *qt_new_QTabDialog(qt_QWidget * parent,char* name,int modal,uint f);

void qt_QTabDialog_show( qt_QTabDialog *instPointer);
void qt_QTabDialog_setFont( qt_QTabDialog *instPointer,qt_QFont * arg1);
void qt_QTabDialog_addTab( qt_QTabDialog *instPointer,qt_QWidget * arg1,char* arg2);
void qt_QTabDialog_addTab1( qt_QTabDialog *instPointer,qt_QWidget * arg1,void * arg2);
int qt_QTabDialog_isTabEnabled( qt_QTabDialog *instPointer,char* arg1);
void qt_QTabDialog_setTabEnabled( qt_QTabDialog *instPointer,char* arg1,int arg2);
void qt_QTabDialog_showPage( qt_QTabDialog *instPointer,qt_QWidget * arg1);
char* qt_QTabDialog_tabLabel( qt_QTabDialog *instPointer,qt_QWidget * arg1);
void qt_QTabDialog_setDefaultButton( qt_QTabDialog *instPointer,char* text);
int qt_QTabDialog_hasDefaultButton( qt_QTabDialog *instPointer);
void qt_QTabDialog_setCancelButton( qt_QTabDialog *instPointer,char* text);
int qt_QTabDialog_hasCancelButton( qt_QTabDialog *instPointer);
void qt_QTabDialog_setApplyButton( qt_QTabDialog *instPointer,char* text);
int qt_QTabDialog_hasApplyButton( qt_QTabDialog *instPointer);
void qt_QTabDialog_setOkButton( qt_QTabDialog *instPointer,char* arg1);
int qt_QTabDialog_hasOkButton( qt_QTabDialog *instPointer);

}
#endif