/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QToolBar.h"

qt_QToolBar * qt_new_QToolBar(char * label, qt_QMainWindow * window, int dock, int newLine, char * name){
	return (qt_QToolBar *) new QToolBar(label, (QMainWindow *) window, (QMainWindow::ToolBarDock)dock, (bool) newLine, name);
}
qt_QToolBar * qt_new_QToolBar1(char * label, qt_QMainWindow * window, qt_QWidget * parent, int newLine, char * name, int f){	
	return (qt_QToolBar *) new QToolBar(label, (QMainWindow *) window, (QWidget *) parent, (bool) newLine, name, (WFlags) f);
}
qt_QToolBar * qt_new_QToolBar2(qt_QMainWindow * parent, char * name){	
	return (qt_QToolBar *) new QToolBar((QMainWindow *) parent, name);
}
void qt_del_QToolBar(qt_QToolBar * instPointer){
	delete (QToolBar *) instPointer;	
}
void qt_QToolBar_addSeparator(qt_QToolBar * instPointer){
	((QToolBar *) instPointer)->addSeparator();
}
void qt_QToolBar_setOrientation(qt_QToolBar * instPointer, int orientation){
	((QToolBar *) instPointer)->setOrientation((QToolBar::Orientation)orientation);
}
void qt_QToolBar_show(qt_QToolBar * instPointer){
	((QToolBar *) instPointer)->show();
}
qt_QMainWindow * qt_QToolBar_mainWindow(qt_QToolBar * instPointer){
	return (qt_QMainWindow *) ((QToolBar *) instPointer)->mainWindow();
}
void qt_QToolBar_setStretchableWidget(qt_QToolBar * instPointer, qt_QWidget * widget){
	((QToolBar *) instPointer)->setStretchableWidget((QWidget *) widget);
}
