/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QToolButton.h"

qt_QToolButton * qt_new_QToolButton(qt_QWidget *parent, char * name){
	return (qt_QToolButton *) new QToolButton((QWidget *) parent, name);
}	
qt_QToolButton * qt_new_QToolButton1(qt_QPixmap * pm, char * textLabel, char * groupText, qt_QObject * receiver, char * slot, qt_QWidget *parent, char * name){	
	return (qt_QToolButton *) new QToolButton((QPixmap &) *pm, textLabel, groupText, (QWidget *) receiver, slot, (QToolBar *) parent, name);
}	
qt_QToolButton * qt_new_QToolButton2(qt_QIconSet * s, char * textLabel, char * groupText, qt_QObject * receiver, char * slot, qt_QWidget *parent, char * name){	
static QIconSet temp = *((QIconSet*)s);	
	return (qt_QToolButton *) new QToolButton(temp, textLabel, groupText, (QObject *) receiver, slot, (QToolBar *) parent, name);
}	
void qt_del_QToolButton(qt_QToolButton *instPointer){
	delete (QToolButton *)instPointer;	
}	
qt_QSize * qt_QToolButton_sizeHint(qt_QToolButton *instPointer){
static QSize temp;
	temp = ((QToolButton *)instPointer)->sizeHint();
	return (qt_QSize *) &temp;	
}	
void qt_QToolButton_setIconSet(qt_QToolButton *instPointer, qt_QIconSet * iconSet){
static QIconSet temp = *((QIconSet *) iconSet);
	((QToolButton *)instPointer)->setIconSet(temp);	
}	
qt_QIconSet * qt_QToolButton_iconSet(qt_QToolButton *instPointer){
static QIconSet temp = ((QToolButton *)instPointer)->iconSet();
	return (qt_QIconSet *) &temp;	
}	
void qt_QToolButton_setUsesBigPixmap(qt_QToolButton *instPointer, int enable){
	((QToolButton *)instPointer)->setUsesBigPixmap((bool) enable);	
}	
void qt_QToolButton_setUsesTextLabel(qt_QToolButton *instPointer, int enable){
	((QToolButton *)instPointer)->setUsesTextLabel((bool) enable);	
}	
void qt_QToolButton_setTextLabel(qt_QToolButton *instPointer, char * label, int yn){
	((QToolButton *)instPointer)->setTextLabel(label, (bool) yn);	
}	
void qt_QToolButton_setToggleButton(qt_QToolButton *instPointer, int enable){
	((QToolButton *)instPointer)->setToggleButton((bool) enable);	
}	
void qt_QToolButton_setOn(qt_QToolButton *instPointer, int enable){
	((QToolButton *)instPointer)->setOn((bool) enable);	
}	
void qt_QToolButton_toggle(qt_QToolButton *instPointer){
	((QToolButton *)instPointer)->toggle();	
}	
