/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QMOVIE_PROTO
#define QT_QMOVIE_PROTO
#include "qtc_types.h"
qt_QMovie *qt_new_QMovie();
qt_QMovie *qt_new_QMovie1(char* fileName,int bufsize);


/**************************************/
/*This function didn't wrap*/
/*void *qt_new_QMovie2(XXX data,int bufsize);*/
/**/

void *qt_new_QMovie3(qt_QMovie * arg1);

qt_QColor * qt_QMovie_backgroundColor( qt_QMovie *instPointer);
void qt_QMovie_setBackgroundColor( qt_QMovie *instPointer,qt_QColor * arg1);
qt_QRect * qt_QMovie_getValidRect( qt_QMovie *instPointer);
qt_QPixmap * qt_QMovie_framePixmap( qt_QMovie *instPointer);
int qt_QMovie_isNull( qt_QMovie *instPointer);
int qt_QMovie_frameNumber( qt_QMovie *instPointer);
int qt_QMovie_steps( qt_QMovie *instPointer);
int qt_QMovie_paused( qt_QMovie *instPointer);
int qt_QMovie_finished( qt_QMovie *instPointer);
int qt_QMovie_running( qt_QMovie *instPointer);
void qt_QMovie_unpause( qt_QMovie *instPointer);
void qt_QMovie_pause( qt_QMovie *instPointer);
void qt_QMovie_step( qt_QMovie *instPointer);
void qt_QMovie_step1( qt_QMovie *instPointer,int arg1);
void qt_QMovie_restart( qt_QMovie *instPointer);
int qt_QMovie_speed( qt_QMovie *instPointer);
void qt_QMovie_setSpeed( qt_QMovie *instPointer,int arg1);
void qt_QMovie_connectResize( qt_QMovie *instPointer,qt_QObject * receiver,char* member);
void qt_QMovie_disconnectResize( qt_QMovie *instPointer,qt_QObject * receiver,char* member);
void qt_QMovie_connectUpdate( qt_QMovie *instPointer,qt_QObject * receiver,char* member);
void qt_QMovie_disconnectUpdate( qt_QMovie *instPointer,qt_QObject * receiver,char* member);


//	Status
#define SourceEmpty			2
#define UnrecognizedFormat	-1
#define Paused				1
#define EndOfFrame			2
#define EndOfLoop				3
#define EndOfMovie			4
#define SpeedChanged			5

//	enum { SourceEmpty=-2, UnrecognizedFormat=-1, Paused=1, EndOfFrame=2, EndOfLoop=3, EndOfMovie=4, SpeedChanged=5 };

void qt_QMovie_connectStatus( qt_QMovie *instPointer,qt_QObject * receiver,char* member);
void qt_QMovie_disconnectStatus( qt_QMovie *instPointer,qt_QObject * receiver,char* member);

#endif