#!/usr/local/bin/python

# Program to wrap Qt classes on C.
# Works kinda well, actually

import sys
import string
import regsub

from misc import *
from constructors import *
from static import *
from normals import *

headerfile=""
implemfile=""
protofile=""


funcdict={}

# translation table for types
# use XXX for a type that's not directly translatable
# like a class or a  class&, for example



lines=open(sys.argv[1]).readlines();

strippedlines=[]

for line in lines:
	line=regsub.gsub ("\t"," ",line)
	line=regsub.gsub ("  "," ",line)
	if len(line)>1:
        	strippedlines.append(string.strip (line))
        
lines=strippedlines

for line in lines:
#	print line
	words=string.splitfields(line," ")
        if words[0]=="class":
	        classname=words[1]

print "Classname = ",classname

#find constructors
for line in lines:
#	print line
	words=string.splitfields(line," ");
#############################################################################
	# class declaration
#############################################################################
        if words[0]=="class":
        	pass
                
#############################################################################
	# visibility declaration
#############################################################################
        elif words[0]=="public:":
        	pass
        elif words[0]=="public":
        	pass
        elif words[0]=="private:":
        	pass
        elif words[0]=="private":
        	pass
        elif words[0]=="signals:":
        	pass
                
#############################################################################
	# find constructors
#############################################################################
        elif words[0]==classname+"(":
        	[decl,implem]=parseConstructor(line,funcdict,classname,words)
                headerfile=headerfile+decl
                implemfile=implemfile+implem


#############################################################################                
	# find enums
#############################################################################                
        elif words[0]=="enum":
        	headerfile=headerfile+"\n\nenum "+string.joinfields(words[2:]," ")+"\n\n"

#############################################################################                
        # static functions
#############################################################################                
        # these won't take an instance of the class as first arg
        elif words[0]=="static":
        	[decl,implem]=parseStatic(line,funcdict,classname,words)
                headerfile=headerfile+decl
                implemfile=implemfile+implem
        	
#############################################################################                
        # normal functions
#############################################################################                
	# these will take a pointer to an instance of the class
        # as first argument
        else:
        	[decl,implem]=parseNormal(line,funcdict,classname,words)
                headerfile=headerfile+decl
                implemfile=implemfile+implem


headerfile="#include \"qtc_types.h\"\n"+headerfile                

protofile=protofile+headerfile
protofile="#define "+string.upper(prefix+classname+"_proto")+"\n"+protofile
protofile="#ifndef "+string.upper(prefix+classname+"_proto")+"\n"+protofile+"\n#endif"

headerfile="extern \"C\" {\n"+headerfile
headerfile="#include <"+sys.argv[1]+">\n"+headerfile
headerfile="#define "+string.upper(prefix+classname)+"\n"+headerfile
headerfile="#ifndef "+string.upper(prefix+classname)+"\n"+headerfile+"\n}\n#endif"

implemfile='#include "'+prefix+classname+'.h"\n\n'+implemfile

open(prefix+"proto_"+classname+".h","w").write( protofile )
open(prefix+classname+".h","w").write( headerfile )
open(prefix+classname+".cpp","w").write( implemfile )

open ("qtc_types.h","a").write("typedef struct { int dummy; } qt_"+classname+";\n")


