/***************************************************************************
                          TryQtProjDoc.h  -  description
                             -------------------
    begin                : Sat Apr 1 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRYQTPROJDOC_H
#define TRYQTPROJDOC_H

#include <Foundation/NSObject.h>

// include files for QT
#include <qtobjc/QObject.h>

// application specific includes

/**
  * the Document Class
  */

@interface TryQtProjDoc : QObject
{
  @protected
    BOOL modified;
}
    - init;
    - (void) dealloc;
    - (void) newDoc;
    - (BOOL) save;
    - (BOOL) saveAs: (NSString *) filename;
    - (BOOL) load: (NSString *) filename;
    - (BOOL) isModified;
@end

#endif
