/***************************************************************************
                          QBitmap.h  -  description
                             -------------------
    begin                : Wed Mar 8 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QBITMAP_H
#define QBITMAP_H

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>

#include <qtobjc/QPixmap.h>
#include <qtobjc/QSize.h>
#include <qtobjc/QWMatrix.h>

/**
  *@author Richard Dale
  */

@class QBitmap;

@interface QBitmap : QPixmap

- init;
- init: (int) w : (int) h clear: (BOOL) yn;
- init: (QSize *) size clear: (BOOL) yn;
- init: (int) w : (int) h bits: (void *) data isXbitmap: (BOOL) yn;
- init: (QSize *) size bits: (void *) data isXbitmap: (BOOL) yn;
- initFromBitmap: (QBitmap *) map;
- initFromFile: (NSString *) fileName format: (NSString *) format;

- xForm: (QWMatrix *) form;

@end

#endif
