/***************************************************************************
                          QBrush.h  -  description
                             -------------------
    begin                : Sat Mar 11 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QBRUSH_H
#define QBRUSH_H

#include <Foundation/NSObject.h>

#include <qtobjc/QColor.h>
#include <qtobjc/QPixmap.h>

/**
  *@author Richard Dale
  */

@interface QBrush : NSObject <QtSupport>
{
@private
	void *	_qt;
}

- init;
- initFromStyle: (int) brushStyle;
- initFromColor: (QColor *) color style: (int) brushStyle;
- initFromColor: (QColor *) color pixmap: (QPixmap *) map;
- initFromBrush: (QBrush *) brush;

- setStyle: (int) brushStyle;
- setColor: (QColor *) color;
- setPixmap: (QPixmap *) map;

@end

#endif
