/***************************************************************************
                          QBrush.m  -  description
                             -------------------
    begin                : Sat Mar 11 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QBrush.h>

#include <qtc/qtc.h>

@implementation QBrush

- (void *) qt
{
	return _qt;
}

- setQt: (void *) qt
{
	_qt = qt;
	return self;
}

- init
{
	[self setQt: qt_new_QBrush()];	
	return self;
}


- initFromStyle: (int) brushStyle
{
	[self setQt: qt_new_QBrush1(brushStyle)];	
	return self;
}


- initFromColor: (QColor *) color style: (int) brushStyle
{
	[self setQt: qt_new_QBrush2([color qt], brushStyle)];	
	return self;
}


- initFromColor: (QColor *) color pixmap: (QPixmap *) map
{
	[self setQt: qt_new_QBrush3([color qt], [map qt])];	
	return self;
}


- initFromBrush: (QBrush *) brush
{
	[self setQt: qt_new_QBrush4([brush qt])];	
	return self;
}


- (void) dealloc
{
	(void) qt_del_QBrush([self qt]);
	[super dealloc];
	return;
}



- setStyle: (int) brushStyle
{
	qt_QBrush_setStyle([self qt], brushStyle);
	return self;
}


- setColor: (QColor *) color
{
	qt_QBrush_setColor([self qt], [color qt]);
	return self;
}


- setPixmap: (QPixmap *) map
{
	qt_QBrush_setPixmap([self qt], [map qt]);
	return self;
}
@end

