/***************************************************************************
                          QButtonGroup.h  -  description
                             -------------------
    begin                : Fri Apr 14 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QBUTTONGROUP_H
#define QBUTTONGROUP_H

#include <Foundation/NSObject.h>
#include <qtobjc/QGroupBox.h>

@class QButton;

/**
  *@author Richard Dale
  */

@interface QButtonGroup : QGroupBox
- initWithParent: (QWidget *) parent name: (NSString *) name;
- initWithTitle: (NSString *) title parent: (QWidget *) parent name: (NSString *) name;
- (void) dealloc;
- (BOOL) isExclusive;
- setExclusive: (BOOL) yn;
- (int) insert: (QButton *) button identifier: (int) identifier;
- remove: (QButton *) button;
- (QButton *) find: (int) identifier;
@end

#endif
