/***************************************************************************
                          QCheckBox.h  -  description
                             -------------------
    begin                : Thu Apr 13 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QCHECKBOX_H
#define QCHECKBOX_H

#include <Foundation/NSObject.h>
#include <qtobjc/QButton.h>

/**
  *@author Richard Dale
  */

@interface QCheckBox : QButton
- initWithParent: (QWidget *) parent name: (NSString *) name;
- initWithText: (NSString *) text parent: (QWidget *) parent name: (NSString *) name;
- (BOOL) isChecked;
- setChecked: (BOOL) check;
- (QSize *) sizeHint;
@end

#endif
