/***************************************************************************
                          QCheckBox.m  -  description
                             -------------------
    begin                : Thu Apr 13 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QCheckBox.h>
#include <qtc/qtc.h>

@implementation QCheckBox

- initWithParent: (QWidget *) parent name: (NSString *) name
{
	[self setQt: qt_new_QCheckBox([parent qt], (char *) [name cString])];	
	return self;
}


- initWithText: (NSString *) text parent: (QWidget *) parent name: (NSString *) name
{
	[self setQt: qt_new_QCheckBox1( (char *) [text cString], [parent qt], (char *) [name cString])];	
	return self;
}


- (BOOL) isChecked
{
	return (BOOL) qt_QCheckBox_isChecked([self qt]);
}


- setChecked: (BOOL) check
{
	qt_QCheckBox_setChecked([self qt], check);
	return self;
}


- (QSize *) sizeHint
{
	return (QSize *) [QObject objectForQtKey: qt_QCheckBox_sizeHint([self qt]) withClass: [QSize class]];
}

@end

