/***************************************************************************
                          QCursor.h  -  description
                             -------------------
    begin                : Wed Mar 8 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QCURSOR_H
#define QCURSOR_H

#include <Foundation/NSObject.h>

#include <qtobjc/qwindowdefs.h>
#include <qtobjc/QPoint.h>
#include <qtobjc/QObject.h>

/**
  *@author Richard Dale
  */

@class QBitmap;

@interface QCursor : NSObject <QtSupport>
{
@private
	void *	_qt;
}

- init;					
- init: (int) shape;
- initFromBitmap: (QBitmap *) bitmap mask: (QBitmap *) mask hotX: (int) hotX hotY: (int) hotY;
- (void) dealloc;
- (int) shape;
- setShape: (int) shape;
- (QBitmap *) bitmap;
- (QBitmap *) mask;
- (QPoint *) hotSpot;
- (HANDLE) handle;

+ (QPoint *) pos;
+ setPos: (int) x : (int) y;
+ setPos: (QPoint *) point;
+ initialize;
+ cleanup;
@end

#endif
