/***************************************************************************
                          QFrame.h  -  description
                             -------------------
    begin                : Fri Mar 3 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QFRAME_H
#define QFRAME_H

#include <qtobjc/qwindowdefs.h>
#include <qtobjc/QWidget.h>
#include <qtobjc/QSize.h>
#include <qtobjc/QRect.h>

/**
  *@author Richard Dale
  */

@interface  QFrame :  QWidget			
- initWithParent: (QWidget *) parent name: (NSString *) name flag: (WFlags) f allowLines: (BOOL) allowLines;
- (int) frameStyle;
- (int) frameShape;
- (int) frameShadow;
- setFrameStyle: (int) style;
- (BOOL) lineShapesOk;
- (int) lineWidth;
- setLineWidth: (int) width;
- (int) margin;
- setMargin: (int) margin;
- (int) midLineWidth;
- setMidLineWidth: (int) width;
- (int) frameWidth;
- (QRect *) frameRect;
- (QRect *) contentsRect;
- (QSize *) sizeHint;
/*
- setFrameRect: (QRect *) rect;
- paintEvent: (QPaintEvent *) event;
- resizeEvent: (QResizeEvent *) event;
- drawFrame: (QPainter *) painter;
- drawContents: (QPainter *) painter;
- frameChanged;
*/
@end

#endif