/***************************************************************************
                          QGroupBox.m  -  description
                             -------------------
    begin                : Fri Apr 14 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QGroupBox.h>
#include <qtc/qtc.h>

@implementation QGroupBox
- initWithParent: (QWidget *) parent name: (NSString *) name
{
	[self setQt: qt_new_QGroupBox([parent qt], (char *) [name cString])];	
	return self;
}


- initWithTitle: (NSString *) title parent: (QWidget *) parent name: (NSString *) name
{
	[self setQt: qt_new_QGroupBox1( (char *) [title cString], [parent qt], (char *) [name cString])];	
	return self;
}


- (NSString *) title
{
	return (NSString *) [NSString stringWithCString: qt_QGroupBox_title([self qt])];
}


- setTitle: (NSString *) title
{
	qt_QGroupBox_setTitle([self qt], (char *) [title cString]);
	return self;
}


- (int) alignment
{
	return (int) qt_QGroupBox_alignment([self qt]);
}


- setAlignment: (int) alignment
{
	qt_QGroupBox_setAlignment([self qt], alignment);
	return self;
}
@end

