/***************************************************************************
                          QPaintDevice.h  -  description
                             -------------------
    begin                : Fri Mar 3 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QPAINTDEVICE_H
#define QPAINTDEVICE_H

#include <Foundation/NSObject.h>

#include <qtobjc/qwindowdefs.h>
#include <qtobjc/qpaintdevicedefs.h>
#include <qtobjc/QObject.h>

/**
  *@author Richard Dale
  */

@class QPainter;

@interface  QPaintDevice : NSObject <QtSupport>				
{
@private
	void *	_qt;
}


- initFromDevFlags: (uint) flags;
- (void) dealloc;
- (int) devType;
- (BOOL) isExtDev;
- (BOOL) paintingActive;
- (HANDLE) handle;

- (void *) paintDevice;
+ bitBlt: (QPaintDevice *) dst dx: (int) dx dy: (int) dy source: (QPaintDevice *) src;
+ bitBlt: (QPaintDevice *) dst dx: (int) dx dy: (int) dy source: (QPaintDevice *) src sx: (int) sx sy: (int) sy sw: (int) sw sh: (int) sh rasterOp: (RasterOp) rop ignoreMask: (BOOL) ignoreMask;
+ bitBlt: (QPaintDevice *) dst dp: (QPoint *) dp source: (QPaintDevice *) src sr: (QRect *) sr rasterOp: (RasterOp) rop;

@end

#endif
