/***************************************************************************
                          QStatusBar.h  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QSTATUSBAR_H
#define QSTATUSBAR_H

#include <Foundation/NSObject.h>
#include <qtobjc/QWidget.h>

/**
  *@author Richard Dale
  */

@interface QStatusBar : QWidget
- initWithParent: (QWidget *) parent name: (NSString *) name;
- (void) dealloc;
- addWidget: (QWidget *) widget stretch: (int) stretch permanent: (BOOL) permanent;
- removeWidget: (QWidget *) widget;
- message: (NSString *) message;
- message: (NSString *) message milliSeconds: (int) ms;
- clear;
@end

#endif
