/***************************************************************************
                          QTableView.h  -  description
                             -------------------
    begin                : Tue Mar 14 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QTABLEVIEW_H
#define QTABLEVIEW_H

#include <Foundation/NSObject.h>

#include <qtobjc/QFrame.h>

/**
  *@author Richard Dale
  */

@interface QTableView : QFrame

- setBackgroundColor: (QColor *) color;
- setPalette: (QPalette *) palette;
- show;
- repaint: (BOOL) erase;
- repaint: (int) x :(int) y : (int) w : (int) h erase: (BOOL) erase;
- repaint: (QRect *) rect erase: (BOOL) erase;

@end

#endif
