/***************************************************************************
                          QTableView.m  -  description
                             -------------------
    begin                : Tue Mar 14 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qtobjc/QTableView.h>
#include <qtc/qtc.h>

@implementation QTableView

- setBackgroundColor: (QColor *) color
{
	qt_QTableView_setBackgroundColor([self qt], [color qt]);
	return self;
}


- setPalette: (QPalette *) palette
{
	qt_QTableView_setPalette([self qt], [palette qt]);
	return self;
}


- show
{
	qt_QTableView_show([self qt]);
	return self;
}


- repaint: (BOOL) erase
{
	qt_QTableView_repaint([self qt], erase);
	return self;
}


- repaint: (int) x : (int) y : (int) w : (int) h erase: (BOOL) erase
{
	qt_QTableView_repaint1([self qt], x, y, w, h, erase);
	return self;
}


- repaint: (QRect *) rect erase: (BOOL) erase
{
	qt_QTableView_repaint2([self qt], [rect qt], erase);
	return self;
}

@end

