/***************************************************************************
                          QToolButton.h  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QTOOLBUTTON_H
#define QTOOLBUTTON_H

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>

#include <qtobjc/QObject.h>
#include <qtobjc/QButton.h>
#include <qtobjc/QPixmap.h>
#include <qtobjc/QIconSet.h>
#include <qtobjc/QToolBar.h>

/**
  *@author Richard Dale
  */

@interface QToolButton : QButton
- initWithParent: (QWidget *) parent name: (NSString *) name;
- initWithPixmap: (QPixmap *) pm label: (NSString *) textLabel groupText: (NSString *) grouptext receiver: (<QObjectInterface,QtSupport>) receiver slot: (NSString *) slot parent: (QToolBar *) parent;
- initWithPixmap: (QPixmap *) pm label: (NSString *) textLabel groupText: (NSString *) grouptext receiver: (<QObjectInterface,QtSupport>) receiver slot: (NSString *) slot parent: (QToolBar *) parent name: (NSString *) name;
- initWithIconSet: (QIconSet *) s label: (NSString *) textLabel groupText: (NSString *) grouptext  receiver: (<QObjectInterface,QtSupport>) receiver slot: (NSString *) slot parent: (QToolBar *) parent name: (NSString *) name;
- (void) dealloc;
- (QSize *) sizeHint;
- setIconSet: (QIconSet *) iconSet;
- (QIconSet *) iconSet;
- setUsesBigPixmap: (BOOL) enable;
- setUsesTextLabel: (BOOL) enable;
- setTextLabel: (NSString *) label tipToo: (BOOL) yn;
- setToggleButton: (BOOL) enable;
- setOn: (BOOL) enable;
- toggle;
@end

#endif
