/***************************************************************************
                          main.m  -  description
                             -------------------
    begin                : Fri Mar 17 15:04:11 EST 2000
    copyright            : (C) 2000 by Richard Dale
    email                : Richard_Dale@tipitina.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <Foundation/NSString.h>
#include <Foundation/NSAutoreleasePool.h>

#include <qtobjc/QApplication.h>
#include <qtobjc/QLabel.h>
#include <qtobjc/QPushButton.h>

int main(int argc, char *argv[])
{
	NSAutoreleasePool *	pool;
	QApplication *		myapp;
	QWidget *			mywidget;
	QLabel *				mylabel;
	QPushButton *		myquitbutton;
	
	pool = [[NSAutoreleasePool alloc] init];
	
	myapp = [[QApplication alloc] initWithArgc: argc argv: argv];
	
	mywidget = [[QWidget alloc] init];
	[mywidget setGeometry: 400 : 300 : 120 : 90];
	
	mylabel = [[QLabel alloc] initWithText: @"Hello World" parent: mywidget];
	[mylabel setGeometry: 10 : 10 : 80 : 30];
	
	myquitbutton = [[QPushButton alloc] initWithText: @"Quit" parent: mywidget];
	[myquitbutton setGeometry: 10 : 50 : 100 : 30];
	[QObject connect: myquitbutton signal: @"clicked()" receiver: myapp slot: @"quit()"];
	
	[myapp setMainWidget: mywidget];
	[mywidget show];
	
	return [myapp exec];
}
