/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QButtonGroup.h"

qt_QButtonGroup *qt_new_QButtonGroup(qt_QWidget * parent,char* name)

{
	return (qt_QButtonGroup *) new QButtonGroup( (QWidget*)parent,(char*)name );
}

qt_QButtonGroup *qt_new_QButtonGroup1(char* title,qt_QWidget * parent,char* name)

{
	return (qt_QButtonGroup *) new QButtonGroup( (char*)title,(QWidget*)parent,(char*)name );
}

void qt_del_QButtonGroup (qt_QButtonGroup *p)
{
delete (QButtonGroup*) p;
}

int qt_QButtonGroup_isExclusive( qt_QButtonGroup *instPointer){
	return (int)((QButtonGroup *)instPointer)->isExclusive();
}
void qt_QButtonGroup_setExclusive( qt_QButtonGroup *instPointer,int arg1){
	((QButtonGroup *)instPointer)->setExclusive((bool )arg1);
}
int qt_QButtonGroup_insert( qt_QButtonGroup *instPointer,qt_QButton * arg1,int identifier){
	return (int)((QButtonGroup *)instPointer)->insert((QButton* )arg1,(int )identifier);
}
void qt_QButtonGroup_remove( qt_QButtonGroup *instPointer,qt_QButton * arg1){
	((QButtonGroup *)instPointer)->remove((QButton* )arg1);
}
qt_QButton * qt_QButtonGroup_find( qt_QButtonGroup *instPointer,int identifier){
	return (qt_QButton *)((QButtonGroup *)instPointer)->find((int )identifier);
}
