/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QFILE
#define QT_QFILE
#include <qfile.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QFile *qt_new_QFile();
qt_QFile *qt_new_QFile1(char* name);

char* qt_QFile_name( qt_QFile *instPointer);
void qt_QFile_setName( qt_QFile *instPointer,char* name);
int qt_QFile_exists( qt_QFile *instPointer);
int qt_QFile_exists1( char* fileName);
int qt_QFile_open( qt_QFile *instPointer,int arg1);
int qt_QFile_open1( qt_QFile *instPointer,int arg1,FILE* arg2);
int qt_QFile_open2( qt_QFile *instPointer,int arg1,int arg2);
void qt_QFile_close( qt_QFile *instPointer);
void qt_QFile_flush( qt_QFile *instPointer);
unsigned int qt_QFile_size( qt_QFile *instPointer);
int qt_QFile_at( qt_QFile *instPointer);
int qt_QFile_at1( qt_QFile *instPointer,int arg1);
int qt_QFile_atEnd( qt_QFile *instPointer);
int qt_QFile_readBlock( qt_QFile *instPointer,char* data,unsigned int len);
int qt_QFile_writeBlock( qt_QFile *instPointer,char* data,unsigned int len);
int qt_QFile_readLine( qt_QFile *instPointer,char* data,unsigned int maxlen);
int qt_QFile_getch( qt_QFile *instPointer);
int qt_QFile_putch( qt_QFile *instPointer,int arg1);
int qt_QFile_ungetch( qt_QFile *instPointer,int arg1);
int qt_QFile_handle( qt_QFile *instPointer);

}
#endif