/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QFont.h"

qt_QFont *qt_new_QFont()

{
	return (qt_QFont *) new QFont( );
}

qt_QFont *qt_new_QFont1(char* family,int pointSize,int weight,int italic)

{
	return (qt_QFont *) new QFont( (const char*)family,(int)pointSize,(int)weight,(bool)italic );
}

qt_QFont *qt_new_QFont2(char* family,int pointSize,int weight,int italic,int charSet)

{
    return (qt_QFont *) new QFont( (const char*)family,(int)pointSize,(int)weight,(bool)italic,(QFont::CharSet)charSet );
}

qt_QFont *qt_new_QFont3(qt_QFont * arg1)

{
	return (qt_QFont *) new QFont( (QFont&)*arg1 );
}

void qt_del_QFont (qt_QFont *p)
{
delete (QFont*) p;
}

char* qt_QFont_family( qt_QFont *instPointer){
	return (char*)((QFont *)instPointer)->family();
}
void qt_QFont_setFamily( qt_QFont *instPointer,char* arg1){
	((QFont *)instPointer)->setFamily((char* )arg1);
}
int qt_QFont_pointSize( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->pointSize();
}
void qt_QFont_setPointSize( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setPointSize((int )arg1);
}
int qt_QFont_weight( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->weight();
}
void qt_QFont_setWeight( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setWeight((int )arg1);
}
int qt_QFont_bold( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->bold();
}
void qt_QFont_setBold( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setBold((bool )arg1);
}
int qt_QFont_italic( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->italic();
}
void qt_QFont_setItalic( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setItalic((bool )arg1);
}
int qt_QFont_underline( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->underline();
}
void qt_QFont_setUnderline( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setUnderline((bool )arg1);
}
int qt_QFont_strikeOut( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->strikeOut();
}
void qt_QFont_setStrikeOut( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setStrikeOut((bool )arg1);
}
int qt_QFont_fixedPitch( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->fixedPitch();
}
void qt_QFont_setFixedPitch( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setFixedPitch((bool )arg1);
}
int qt_QFont_styleHint( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->styleHint();
}
void qt_QFont_setStyleHint( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setStyleHint((QFont::StyleHint )arg1);
}
int qt_QFont_charSet( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->charSet();
}
void qt_QFont_setCharSet( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setCharSet((QFont::CharSet )arg1);
}
int qt_QFont_rawMode( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->rawMode();
}
void qt_QFont_setRawMode( qt_QFont *instPointer,int arg1){
	((QFont *)instPointer)->setRawMode((bool )arg1);
}
int qt_QFont_exactMatch( qt_QFont *instPointer){
	return (int)((QFont *)instPointer)->exactMatch();
}
unsigned int qt_QFont_handle( qt_QFont *instPointer,unsigned int arg1){
	return (unsigned int)((QFont *)instPointer)->handle((HANDLE )arg1);
}
qt_QString * qt_QFont_key( qt_QFont *instPointer){
	return (qt_QString *)new QString(((QFont *)instPointer)->key());
}
qt_QFont * qt_QFont_defaultFont()
{
	return (qt_QFont *)new QFont(QFont::defaultFont());
}
void qt_QFont_setDefaultFont( qt_QFont * arg1)
{
	QFont::setDefaultFont( (QFont&)*arg1);
}
char* qt_QFont_substitute( char* familyName)
{
	return (char*)QFont::substitute( (char*)familyName);
}
void qt_QFont_insertSubstitution( char* arg1,char* arg2)
{
	QFont::insertSubstitution( (char*)arg1,(char*)arg2);
}
void qt_QFont_removeSubstitution( char* arg1)
{
	QFont::removeSubstitution( (char*)arg1);
}
void qt_QFont_listSubstitutions( qt_QStrList * arg1)
{
	QFont::listSubstitutions( (QStrList*)arg1);
}
void qt_QFont_initialize()
{
	QFont::initialize();
}
void qt_QFont_cleanup()
{
	QFont::cleanup();
}
void qt_QFont_cacheStatistics()
{
	QFont::cacheStatistics();
}
