/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QFRAME
#define QT_QFRAME
#include <qframe.h>
extern "C" {
#include "qt_proto_destructor.h"
qt_QFrame *qt_new_QFrame(qt_QWidget * parent,char* name,uint f,int allowLines);


enum {NoFrame = 0, Box = 0x0001, Panel = 0x0002, WinPanel = 0x0003, HLine = 0x0004, VLine = 0x0005, MShape = 0x000f, Plain = 0x0010, Raised = 0x0020, Sunken = 0x0030, MShadow = 0x00f0 };

int qt_QFrame_frameStyle( qt_QFrame *instPointer);
int qt_QFrame_frameShape( qt_QFrame *instPointer);
int qt_QFrame_frameShadow( qt_QFrame *instPointer);
void qt_QFrame_setFrameStyle( qt_QFrame *instPointer,int arg1);
int qt_QFrame_lineShapesOk( qt_QFrame *instPointer);
int qt_QFrame_lineWidth( qt_QFrame *instPointer);
void qt_QFrame_setLineWidth( qt_QFrame *instPointer,int arg1);
int qt_QFrame_midLineWidth( qt_QFrame *instPointer);
void qt_QFrame_setMidLineWidth( qt_QFrame *instPointer,int arg1);
int qt_QFrame_frameWidth( qt_QFrame *instPointer);
qt_QRect * qt_QFrame_frameRect( qt_QFrame *instPointer);
qt_QRect * qt_QFrame_contentsRect( qt_QFrame *instPointer);
qt_QSize * qt_QFrame_sizeHint( qt_QFrame *instPointer);

}
#endif