/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QIconSet.h"

qt_QIconSet * qt_new_QIconSet(qt_QPixmap * defaultPixmap, int size){
	return (qt_QIconSet *) new QIconSet((QPixmap &) *defaultPixmap, (QIconSet::Size) size);
}
qt_QIconSet * qt_new_QIconSet1(qt_QIconSet *instPointer){
	return (qt_QIconSet *) new QIconSet((QIconSet &) *instPointer);
}
void qt_del_QIconSet(qt_QIconSet *instPointer){	
	delete ((QIconSet *) instPointer);
}
void qt_QIconSet_reset(qt_QIconSet *instPointer, qt_QPixmap * pixmap, int size){
	((QIconSet *) instPointer)->reset((QPixmap &) *pixmap, (QIconSet::Size)size);
}
void qt_QIconSet_setPixmap(qt_QIconSet *instPointer, qt_QPixmap * pixmap, int size, int mode){
	((QIconSet *) instPointer)->setPixmap((QPixmap &) *pixmap, (QIconSet::Size)size, (QIconSet::Mode)mode);
}
void qt_QIconSet_setPixmap1(qt_QIconSet *instPointer, char * filename, int size, int mode){
	((QIconSet *) instPointer)->setPixmap(filename, (QIconSet::Size)size, (QIconSet::Mode)mode);
}
qt_QPixmap * qt_QIconSet_pixmap(qt_QIconSet *instPointer, int size, int mode){
static QPixmap temp = ((QIconSet *) instPointer)->pixmap((QIconSet::Size)size, (QIconSet::Mode)mode);
	return (qt_QPixmap *) &temp;
}
qt_QPixmap * qt_QIconSet_pixmap1(qt_QIconSet *instPointer){
static QPixmap temp = ((QIconSet *) instPointer)->pixmap();
	return (qt_QPixmap *) &temp;
}
int qt_QIconSet_isGenerated(qt_QIconSet *instPointer, int size, int mode){
	return ((QIconSet *) instPointer)->isGenerated((QIconSet::Size)size, (QIconSet::Mode)mode);
}
void qt_QIconSet_detach(qt_QIconSet *instPointer){
	((QIconSet *) instPointer)->detach();
}
