/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QSCROLLVIEW
#define QT_QSCROLLVIEW
#include <qscrollview.h>
extern "C" {
#include "qt_proto_destructor.h"

qt_QScrollView * qt_new_QScrollView(qt_QWidget * parent, char * name, int f);	
void qt_del_QScrollView (qt_QScrollView *p);

void qt_QScrollView_setResizePolicy(qt_QScrollView * instPointer, int);
int qt_QScrollView_resizePolicy(qt_QScrollView * instPointer);
void qt_QScrollView_addChild(qt_QScrollView * instPointer, qt_QWidget * child);
void qt_QScrollView_removeChild(qt_QScrollView * instPointer, qt_QWidget * child);
void qt_QScrollView_addChild1(qt_QScrollView * instPointer, qt_QWidget * child, int x, int y);
void qt_QScrollView_moveChild(qt_QScrollView * instPointer, qt_QWidget * child, int x, int y);
int qt_QScrollView_childX(qt_QScrollView * instPointer, qt_QWidget * child);
int qt_QScrollView_childY(qt_QScrollView * instPointer, qt_QWidget * child);
int qt_QScrollView_childIsVisible(qt_QScrollView * instPointer, qt_QWidget * child);
void qt_QScrollView_showChild(qt_QScrollView * instPointer, qt_QWidget * child, int yn);
int qt_QScrollView_vScrollBarMode(qt_QScrollView * instPointer);
void qt_QScrollView_setVScrollBarMode(qt_QScrollView * instPointer, int mode);
int qt_QScrollView_hScrollBarMode(qt_QScrollView * instPointer);
void qt_QScrollView_setHScrollBarMode(qt_QScrollView * instPointer, int mode);
qt_QWidget *	qt_QScrollView_cornerWidget(qt_QScrollView * instPointer);
void qt_QScrollView_setCornerWidget(qt_QScrollView * instPointer, qt_QWidget * widget);
qt_QScrollBar * qt_QScrollView_horizontalScrollBar(qt_QScrollView * instPointer);
qt_QScrollBar * qt_QScrollView_verticalScrollBar(qt_QScrollView * instPointer);
qt_QWidget *	qt_QScrollView_viewport(qt_QScrollView * instPointer);
int qt_QScrollView_contentsWidth(qt_QScrollView * instPointer);
int qt_QScrollView_contentsHeight(qt_QScrollView * instPointer);
int qt_QScrollView_contentsX(qt_QScrollView * instPointer);
int qt_QScrollView_contentsY(qt_QScrollView * instPointer);
void qt_QScrollView_resize(qt_QScrollView * instPointer, int w, int h);
void qt_QScrollView_resize1(qt_QScrollView * instPointer, qt_QSize * size);
void qt_QScrollView_show(qt_QScrollView * instPointer);

}
#endif