/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QSlider.h"

qt_QSlider *qt_new_QSlider(qt_QWidget * parent,char* name)

{
	return (qt_QSlider *) new QSlider( (QWidget*)parent,(char*)name );
}

qt_QSlider *qt_new_QSlider1(int arg1,qt_QWidget * parent,char* name)

{
    return (qt_QSlider *) new QSlider( (QSlider::Orientation)arg1,(QWidget*)parent,(char*)name );
}

qt_QSlider *qt_new_QSlider2(int minValue,int maxValue,int step,int value,int arg1,qt_QWidget * parent,char* name)

{
	return (qt_QSlider *) new QSlider( (int)minValue,(int)maxValue,(int)step,(int)value,(QSlider::Orientation)arg1,(QWidget*)parent,(char*)name );
}

void qt_del_QSlider (qt_QSlider *p)
{
delete (QSlider*) p;
}

qt_QRangeControl * qt_QSlider_QRangeControl(qt_QSlider *instPointer){
	return (qt_QRangeControl *) (QRangeControl *) (QSlider *) instPointer;
}

void qt_QSlider_setOrientation( qt_QSlider *instPointer,int arg1){
	((QSlider *)instPointer)->setOrientation((QSlider::Orientation )arg1);
}
int qt_QSlider_orientation( qt_QSlider *instPointer){
	return (int)((QSlider *)instPointer)->orientation();
}
void qt_QSlider_setTracking( qt_QSlider *instPointer,int enable){
	((QSlider *)instPointer)->setTracking((bool )enable);
}
int qt_QSlider_tracking( qt_QSlider *instPointer){
	return (int)((QSlider *)instPointer)->tracking();
}
void qt_QSlider_setPalette( qt_QSlider *instPointer,qt_QPalette * arg1){
	((QSlider *)instPointer)->setPalette((QPalette& )*arg1);
}
qt_QRect * qt_QSlider_sliderRect( qt_QSlider *instPointer){
    QRect r=((QSlider *)instPointer)->sliderRect();
    return (qt_QRect *)new QRect(r.left(),r.top(),r.width(),r.height());
}
qt_QSize * qt_QSlider_sizeHint( qt_QSlider *instPointer){
    QSize s=((QSlider *)instPointer)->sizeHint();
	return (qt_QSize *)new QSize(s.width(),s.height());
}
void qt_QSlider_setTickmarks( qt_QSlider *instPointer,int arg1){
	((QSlider *)instPointer)->setTickmarks((QSlider::TickSetting )arg1);
}
int qt_QSlider_tickmarks( qt_QSlider *instPointer){
	return (int)((QSlider *)instPointer)->tickmarks();
}
void qt_QSlider_setTickInterval( qt_QSlider *instPointer,int arg1){
	((QSlider *)instPointer)->setTickInterval((int )arg1);
}
int qt_QSlider_tickInterval( qt_QSlider *instPointer){
	return (int)((QSlider *)instPointer)->tickInterval();
}
void qt_QSlider_setValue( qt_QSlider *instPointer,int arg1){
	((QSlider *)instPointer)->setValue((int )arg1);
}
void qt_QSlider_addStep( qt_QSlider *instPointer){
	((QSlider *)instPointer)->addStep();
}
void qt_QSlider_subtractStep( qt_QSlider *instPointer){
	((QSlider *)instPointer)->subtractStep();
}
