/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QTOOLBUTTON
#define QT_QTOOLBUTTON
#include <qtoolbutton.h>
extern "C" {
#include "qt_proto_destructor.h"
	
qt_QToolButton * qt_new_QToolButton(qt_QWidget *parent, char * name);	
qt_QToolButton * qt_new_QToolButton1(qt_QPixmap * pm, char * textLabel, char * groupText, qt_QObject * receiver, char * slot, qt_QWidget *parent, char * name);	
qt_QToolButton * qt_new_QToolButton2(qt_QIconSet * s, char * textLabel, char * groupText, qt_QObject * receiver, char * slot, qt_QWidget *parent, char * name);	
void qt_del_QToolButton(qt_QToolButton *instPointer);	
qt_QSize * qt_QToolButton_sizeHint(qt_QToolButton *instPointer);
void qt_QToolButton_setIconSet(qt_QToolButton *instPointer, qt_QIconSet * iconSet);
qt_QIconSet * qt_QToolButton_iconSet(qt_QToolButton *instPointer);
void qt_QToolButton_setUsesBigPixmap(qt_QToolButton *instPointer, int enable);
void qt_QToolButton_setUsesTextLabel(qt_QToolButton *instPointer, int enable);
void qt_QToolButton_setTextLabel(qt_QToolButton *instPointer, char * label, int yn);
void qt_QToolButton_setToggleButton(qt_QToolButton *instPointer, int enable);
void qt_QToolButton_setOn(qt_QToolButton *instPointer, int enable);
void qt_QToolButton_toggle(qt_QToolButton *instPointer);
void qt_QToolButton_drawButton(qt_QToolButton *instPointer, qt_QPainter * painter);
void qt_QToolButton_drawButtonLabel(qt_QToolButton *instPointer, qt_QPainter * painter);

}
#endif