/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QWhatsThis.h"
void qt_QWhatsThis_add(qt_QWidget * widget, const char * text, int deepCopy){
	QWhatsThis::add((QWidget *)widget, text, (bool) deepCopy);
}
void qt_QWhatsThis_add1(qt_QWidget * widget, qt_QPixmap * icon, const char * title, const char * text, int deepCopy){
	QWhatsThis::add((QWidget *)widget, (QPixmap &)*icon, title, text, (bool) deepCopy);	
}
void qt_QWhatsThis_remove(qt_QWidget * widget){
	QWhatsThis::remove((QWidget *) widget);
}
const char * qt_QWhatsThis_textFor(qt_QWidget * widget){
	return (char *) QWhatsThis::textFor((QWidget *) widget);
}
qt_QToolButton * qt_QWhatsThis_whatsThisButton(qt_QWidget * parent){
	return (qt_QToolButton *) QWhatsThis::whatsThisButton((QWidget *) parent);
}
