/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QACCEL_PROTO
#define QT_QACCEL_PROTO
#include "qtc_types.h"
qt_QAccel *qt_new_QAccel(qt_QWidget * parent,char* name);
int qt_QAccel_isEnabled( qt_QAccel *instPointer);
void qt_QAccel_setEnabled( qt_QAccel *instPointer,int arg1);
unsigned int qt_QAccel_count( qt_QAccel *instPointer);
int qt_QAccel_insertItem( qt_QAccel *instPointer,int key,int identifier);
void qt_QAccel_removeItem( qt_QAccel *instPointer,int identifier);
void qt_QAccel_clear( qt_QAccel *instPointer);
int qt_QAccel_key( qt_QAccel *instPointer,int identifier);
int qt_QAccel_findKey( qt_QAccel *instPointer,int key);
int qt_QAccel_isItemEnabled( qt_QAccel *instPointer,int identifier);
void qt_QAccel_setItemEnabled( qt_QAccel *instPointer,int identifier,int enable);
int qt_QAccel_connectItem( qt_QAccel *instPointer,int identifier,qt_QObject * receiver,char* member);
int qt_QAccel_disconnectItem( qt_QAccel *instPointer,int identifier,qt_QObject * receiver,char* member);
void qt_QAccel_repairEventFilter( qt_QAccel *instPointer);

#endif