/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QMAINWINDOW_PROTO
#define QT_QMAINWINDOW_PROTO
#include "qtc_types.h"
qt_QMainWindow * qt_new_QMainWindow(qt_QWidget * parent, char *name, int f);	
void qt_del_QMainWindow(qt_QMainWindow * instPointer);	
qt_QMenuBar * qt_QMainWindow_menuBar(qt_QMainWindow * instPointer);
qt_QStatusBar * qt_QMainWindow_statusBar(qt_QMainWindow * instPointer);
qt_QToolTipGroup * qt_QMainWindow_toolTipGroup(qt_QMainWindow * instPointer);
void qt_QMainWindow_setCentralWidget(qt_QMainWindow * instPointer, qt_QWidget * widget);
qt_QWidget *  qt_QMainWindow_centralWidget(qt_QMainWindow * instPointer);
void qt_QMainWindow_setDockEnabled(qt_QMainWindow * instPointer, int dock, int enable);
int qt_QMainWindow_isDockEnabled(qt_QMainWindow * instPointer, int dock);
void qt_QMainWindow_addToolBar(qt_QMainWindow * instPointer, qt_QToolBar * toolbar, char * label, int toolbarType, int newline);
void qt_QMainWindow_removeToolBar(qt_QMainWindow * instPointer, qt_QToolBar * toolbar);
void qt_QMainWindow_show(qt_QMainWindow * instPointer);
int qt_QMainWindow_rightJustification(qt_QMainWindow * instPointer);
int qt_QMainWindow_usesBigPixmaps(qt_QMainWindow * instPointer);
void qt_QMainWindow_setRightJustification(qt_QMainWindow * instPointer, int yn);
void qt_QMainWindow_setUsesBigPixmaps(qt_QMainWindow * instPointer, int yn);

#endif