
class QCheckListItem : public QListViewItem
public:
    enum Type { RadioButton, CheckBox, Controller };

    QCheckListItem( QCheckListItem *parent, const char *text, int type );
    QCheckListItem( QListView *parent, const char *text,int type );
    QCheckListItem( QListViewItem *parent, const char *text,const QPixmap & );
    QCheckListItem( QListView *parent, const char *text,const QPixmap & );

    void paintCell( QPainter *,  const QColorGroup & cg,int column, int width, int alignment );
    int width( const QFontMetrics&, const QListView*, int column) const;
    void setup();

    void setOn( bool );
    bool isOn() const { return on; }
    Type type() const { return myType; }
    const char *text() const { return QListViewItem::text( 0 ); }
    const char *text( int n ) const { return QListViewItem::text( n ); }

